<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/* Additional security checking code 2003 by chatserv                   */
/* http://www.nukefixes.com -- http://www.nukeresources.com             */
/************************************************************************/
/*                                                                      */
/* APPROVE MEMBERSHIP Version 4.0                                       */
/*                                                                      */
/* Displays a list of pending membership applications and allows        */
/* the administrator to either approve the application or delete it.    */
/* If approved, the standard email is sent to the user with or without  */
/* the  activation link. The time allowed for activation has been       */
/* increased to 48 hours. The option exists to add the applicant        */
/* directly to users without the activation link being sent. In this    */
/* case only a welcome email is sent with a link to the site and the    */
/* username and password of the applicant. If the application is        */
/* rejected, the administrator has the option of sending the applicant  */
/* an email explaining the reasons for the rejection. The rejection     */
/* email message is customisable. A customisable follow up email can be */
/* sent to give or receive further information from the applicant. A    */
/* customisable message can be added to the activation or welcome email.*/
/*                                                                      */
/* The administrator can Pre-Approve a list of email addresses to       */
/* semi-automate the approval process                                   */
/*                                                                      */
/* Allows administrators to add up to 5 admin defined text fields to    */
/* the registration form. Admin can define the name, size and maxlength */
/* of each field and whether the field is activated or not. All of the  */
/* fields are "required" fields but the user can choose whether or not  */
/* to display them to the general public.                               */
/*                                                                      */
/* All of the additional fields are editable by both user and admin     */
/* via all of the normal routes.                                        */
/*                                                                      */
/* Module created by Kenneth Arnold                                     */
/* Copyright (c) 2004 by Kenneth Arnold                                 */
/* released under GPL licence                                           */
/*                                                                      */
/* email:     arnoldkrg@hotmail.com                                     */
/* website:   http://www.ulsoft.scarbridge.co.uk                        */
/*                                                                      */
/************************************************************************/

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
	die ("You can't access this file directly...");
}

require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
$userpage = 1;

include("modules/$module_name/navbar.php");

function userCheck($username, $user_email, $custom1, $custom2, $custom3, $custom4, $custom5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5) {
    global $stop, $user_prefix, $db;
    if ((!$user_email) || ($user_email=="") || (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$user_email))) $stop = "<center>"._ERRORINVEMAIL."</center><br>";
    if (strrpos($user_email,' ') > 0) $stop = "<center>"._ERROREMAILSPACES."</center>";
    if ((!$username) || ($username=="") || (ereg("[^a-zA-Z0-9_-]",$username))) $stop = "<center>"._ERRORINVNICK."</center><br>";
    if (strlen($username) > 25) $stop = "<center>"._NICK2LONG."</center>";
    if (eregi("^((root)|(adm)|(linux)|(webmaster)|(admin)|(god)|(administrator)|(administrador)|(nobody)|(anonymous)|(anonimo)|(annimo)|(operator))$",$username)) $stop = "<center>"._NAMERESERVED."</center>";
    if (strrpos($username,' ') > 0) $stop = "<center>"._NICKNOSPACES."</center>";
    if ($db->sql_numrows($db->sql_query("SELECT username FROM ".$user_prefix."_users WHERE username='$username'")) > 0) $stop = "<center>"._NICKTAKEN."</center><br>";
    if ($db->sql_numrows($db->sql_query("SELECT username FROM ".$user_prefix."_users_temp WHERE username='$username'")) > 0) $stop = "<center>"._NICKTAKEN."</center><br>";
    if ($db->sql_numrows($db->sql_query("SELECT user_email FROM ".$user_prefix."_users WHERE user_email='$user_email'")) > 0) $stop = "<center>"._EMAILREGISTERED."</center><br>";
    if ($db->sql_numrows($db->sql_query("SELECT user_email FROM ".$user_prefix."_users_temp WHERE user_email='$user_email'")) > 0) $stop = "<center>"._EMAILREGISTERED."</center><br>";
    if ($field_activated1 =="1")
    {
    	if ((!$custom1) || ($custom1=="")) $stop = "<center>"._ERRORINVFIELD." $field_name1</center><br>";
    }
        if ($field_activated2 =="1")
    {
    	if ((!$custom2) || ($custom2=="")) $stop = "<center>"._ERRORINVFIELD." $field_name2</center><br>";
    }
        if ($field_activated3 =="1")
    {
    	if ((!$custom3) || ($custom3=="")) $stop = "<center>"._ERRORINVFIELD." $field_name3</center><br>";
    }
        if ($field_activated4 =="1")
    {
    	if ((!$custom4) || ($custom4=="")) $stop = "<center>"._ERRORINVFIELD." $field_name4</center><br>";
    }
        if ($field_activated5 =="1")
    {
    	if ((!$custom5) || ($custom5=="")) $stop = "<center>"._ERRORINVFIELD." $field_name5</center><br>";
    }
    return($stop);
}

function makePass() {
    $cons = "bcdfghjklmnpqrstvwxyz";
    $vocs = "aeiou";
    for ($x=0; $x < 6; $x++) {
	mt_srand ((double) microtime() * 1000000);
	$con[$x] = substr($cons, mt_rand(0, strlen($cons)-1), 1);
	$voc[$x] = substr($vocs, mt_rand(0, strlen($vocs)-1), 1);
    }
    $makepass = $con[0] . $voc[0] .$con[2] . $con[1] . $voc[1] . $con[3] . $voc[3] . $con[4];
    return($makepass);
}

function confirmNewUser($username, $user_email, $user_password, $user_password2, $random_num, $gfx_check, $custom1, $custom2, $custom3, $custom4, $custom5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5) {
    global $stop, $EditedMessage, $sitename, $module_name, $minpass, $currentlang;
    include("header.php");
    include("config.php");
    include_once("modules/$module_name/approvelanguage/lang-$currentlang.php");  
    filter_text($username);
    $custom1 = check_html($custom1, nohtml);
    $custom2 = check_html($custom2, nohtml);
    $custom3 = check_html($custom3, nohtml);
    $custom4 = check_html($custom4, nohtml);
    $custom5 = check_html($custom5, nohtml);
    $custom1 = htmlspecialchars($custom1, ENT_QUOTES);
    $custom2 = htmlspecialchars($custom2, ENT_QUOTES);
    $custom3 = htmlspecialchars($custom3, ENT_QUOTES);
    $custom4 = htmlspecialchars($custom4, ENT_QUOTES);
    $custom5 = htmlspecialchars($custom5, ENT_QUOTES);   
    $username = $EditedMessage;
    $user_viewemail = "0";
    userCheck($username, $user_email, $custom1, $custom2, $custom3, $custom4, $custom5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5);
    if (!$stop) {
	$datekey = date("F j");
	$rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $_POST[random_num] . $datekey));
	$code = substr($rcode, 2, 6);
	if (extension_loaded("gd") AND $code != $gfx_check AND ($gfx_chk == 3 OR $gfx_chk == 4 OR $gfx_chk == 6 OR $gfx_chk == 7)) {
	    title(""._NEWUSERERROR."");
	    OpenTable();
	    echo "<center><b>"._SECCODEINCOR."</b><br><br>"
		.""._GOBACK."</center>";
	    CloseTable();
	    include("footer.php");
	    die();
	}
	if ($user_password == "" AND $user_password2 == "") {
	    $user_password = makepass();
	} elseif ($user_password != $user_password2) {
	    title(""._NEWUSERERROR."");
	    OpenTable();
	    echo "<center><b>"._PASSDIFFERENT."</b><br><br>"._GOBACK."</center>";
	    CloseTable();
	    include("footer.php");
	    die();
	} elseif ($user_password == $user_password2 AND strlen($user_password) < $minpass) {
	    title(""._NEWUSERERROR."");
	    OpenTable();
	    echo "<center>"._YOUPASSMUSTBE." <b>$minpass</b> "._CHARLONG."<br><br>"._GOBACK."</center>";
	    CloseTable();
	    include("footer.php");
	    die();
	}
	title("$sitename: "._USERREGLOGIN."");
	OpenTable();
	echo "<center><b>"._USERFINALSTEP."</b><br><br>$username, "._USERCHECKDATA."</center><br><br>"
	    ."<table align='center' border='0'>"
	    ."<tr><td><b>"._UUSERNAME.":</b> $username<br></td></tr>"
	    ."<tr><td><b>"._EMAIL.":</b> $user_email</td></tr>";
	    
	    if ($field_activated1 == "1")
	    {
	    	echo "<tr><td><b>".$field_name1.":</b> $custom1</td></tr>";
    	}
	    if ($field_activated2 == "1")
	    {
	    	echo "<tr><td><b>".$field_name2.":</b> $custom2</td></tr>";
    	}
	    if ($field_activated3 == "1")
	    {
	    	echo "<tr><td><b>".$field_name3.":</b> $custom3</td></tr>";
    	}
	    if ($field_activated4 == "1")
	    {
	    	echo "<tr><td><b>".$field_name4.":</b> $custom4</td></tr>";
    	}
    	if ($field_activated5 == "1")
	    {
	    	echo "<tr><td><b>".$field_name5.":</b> $custom5</td></tr>";
    	}
	    echo "</table><br><br>"
	    ."<center><b>"._NOTE."</b> "._PENDINGNOTICE."";
	echo "<form action=\"modules.php?name=$module_name\" method=\"post\">"
	    ."<input type=\"hidden\" name=\"random_num\" value=\"$random_num\">"
	    ."<input type=\"hidden\" name=\"gfx_check\" value=\"$gfx_check\">"
	    ."<input type=\"hidden\" name=\"username\" value=\"$username\">"
	    ."<input type=\"hidden\" name=\"user_email\" value=\"$user_email\">"
	    ."<input type=\"hidden\" name=\"user_password\" value=\"$user_password\">"
	    ."<input type=\"hidden\" name=\"custom1\" value=\"$custom1\">"
	    ."<input type=\"hidden\" name=\"custom2\" value=\"$custom2\">"
	    ."<input type=\"hidden\" name=\"custom3\" value=\"$custom3\">"
	    ."<input type=\"hidden\" name=\"custom4\" value=\"$custom4\">"
	    ."<input type=\"hidden\" name=\"custom5\" value=\"$custom5\">"
	    ."<input type=\"hidden\" name=\"field_name1\" value=\"$field_name1\">"
	    ."<input type=\"hidden\" name=\"field_name2\" value=\"$field_name2\">"
	    ."<input type=\"hidden\" name=\"field_name3\" value=\"$field_name3\">"
	    ."<input type=\"hidden\" name=\"field_name4\" value=\"$field_name4\">"
	    ."<input type=\"hidden\" name=\"field_name5\" value=\"$field_name5\">"
	    ."<input type=\"hidden\" name=\"field_activated1\" value=\"$field_activated1\">"
	    ."<input type=\"hidden\" name=\"field_activated2\" value=\"$field_activated2\">"
	    ."<input type=\"hidden\" name=\"field_activated3\" value=\"$field_activated3\">"
	    ."<input type=\"hidden\" name=\"field_activated4\" value=\"$field_activated4\">"
	    ."<input type=\"hidden\" name=\"field_activated5\" value=\"$field_activated5\">"
	    ."<input type=\"hidden\" name=\"op\" value=\"finish\"><br><br>"
	    ."<input type=\"submit\" value=\""._FINISH."\"> &nbsp;&nbsp;"._GOBACK."</form></center>";
	CloseTable();
    } else {
	OpenTable();
	echo "<center><font class=\"title\"><b>Registration Error!</b></font><br><br>";
	echo "<font class=\"content\">$stop<br>"._GOBACK."</font></center>";
	CloseTable();
    }
    include("footer.php");
}

function finishNewUser($username, $user_email, $user_password, $random_num, $gfx_check, $custom1, $custom2, $custom3, $custom4, $custom5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5) {
    global $stop, $EditedMessage, $adminmail, $sitename, $Default_Theme, $user_prefix, $db, $storyhome, $module_name, $nukeurl, $currentlang;
    include("header.php");
    include("config.php");
    include_once("modules/$module_name/approvelanguage/lang-$currentlang.php");    
    $custom1 = htmlspecialchars($custom1, ENT_QUOTES);
	$custom2 = htmlspecialchars($custom2, ENT_QUOTES);
	$custom3 = htmlspecialchars($custom3, ENT_QUOTES);
	$custom4 = htmlspecialchars($custom4, ENT_QUOTES);
	$custom5 = htmlspecialchars($custom5, ENT_QUOTES);
    $field_name1 = stripslashes($field_name1);
    $field_name2 = stripslashes($field_name2);
    $field_name3 = stripslashes($field_name3);
    $field_name4 = stripslashes($field_name4);
    $field_name5 = stripslashes($field_name5);
    $ip = $_SERVER["REMOTE_ADDR"];
    userCheck($username, $user_email, $custom1, $custom2, $custom3, $custom4, $custom5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5);
    $user_regdate = date("M d, Y");
    if (!isset($stop)) {
	$datekey = date("F j");
	$rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $random_num . $datekey));
	$code = substr($rcode, 2, 6);
	if (extension_loaded("gd") AND $code != $gfx_check AND ($gfx_chk == 3 OR $gfx_chk == 4 OR $gfx_chk == 6 OR $gfx_chk == 7)) {
	    Header("Location: modules.php?name=$module_name");
	    die();
	}
        mt_srand ((double)microtime()*1000000);
        $maxran = 1000000;
        $check_num = mt_rand(0, $maxran);
	$check_num = md5($check_num);
	$time = time();
	$finishlink = "$nukeurl/modules.php?name=$module_name&op=activate&username=$username&check_num=$check_num";
	$new_password = md5($user_password);
	$username = check_html($username, nohtml);
	$user_email = check_html($user_email, nohtml);
	$sql = "SELECT * FROM ".$user_prefix."_approve_config";
    $result = $db->sql_query($sql);    
    if(!$result) 
    {
   		echo ""._ERROR."<br>";
    	echo mysql_error();
    }
    $myrow = $db->sql_fetchrow($result);
    $notapp = $myrow["notapp"];
    $actemail = $myrow["actemail"];
    $addmessage = $myrow["addmessage"];
    $mailadmin = $myrow["mailadmin"];
    $sql = "SELECT * FROM ".$user_prefix."_stdemail";
    $result = $db->sql_query($sql);
    if(!$result) 
    {
        echo ""._ERROR."<br>";
        echo mysql_error();
    }
    $myrow = $db->sql_fetchrow($result);
    $rmessage = $myrow["rmessage"];
    $appmessage = $myrow["appmessage"];
    $fumessage = $myrow["fumessage"];
    if ($db->sql_numrows($db->sql_query("SELECT approved_email FROM ".$user_prefix."_approvedemailaddresses WHERE approved_email='$user_email'")) > 0)
    {
		if ($actemail == "Y")
	    {
	    		$result = $db->sql_query("INSERT INTO ".$user_prefix."_users_temp (user_id, username, user_email, user_password, user_regdate, check_num, time, custom1, custom2, custom3, custom4, custom5) VALUES (NULL, '$username', '$user_email', '$new_password', '$user_regdate', '$check_num', '$time', '$custom1', '$custom2', '$custom3', '$custom4', '$custom5')");
			if(!$result) 
			{
	    		echo ""._ERROR."<br>";
	    		echo mysql_error();
			} 
			else 
			{
				if ($addmessage == "Y")
				{
					$appmessage = stripslashes($appmessage);
					$message = ""._WELCOMETO." $sitename!\n\n"._YOUUSEDEMAIL." ($user_email) "._TOREGISTER." $sitename.\n\n "._TOFINISHUSER1."\n\n $finishlink\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UPASSWORD." $user_password\n\n $appmessage\n\n";
				}
				else
				{
	       	    	$message = ""._WELCOMETO." $sitename!\n\n"._YOUUSEDEMAIL." ($user_email) "._TOREGISTER." $sitename.\n\n "._TOFINISHUSER1."\n\n $finishlink\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UPASSWORD." $user_password";
       	    	}
       	    	$subject = ""._ACTIVATIONSUB."";
	    		$from = "$adminmail";
	    		mail($user_email, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
	    		title("$sitename: "._USERREGLOGIN."");
	    		OpenTable();
	    		echo "<center><b>"._ACCOUNTCREATED."</b><br><br>";
	    		echo ""._YOUAREREGISTERED1.""
	        	."<br><br>"
				.""._FINISHUSERCONF1."<br><br>"
				.""._THANKSUSER." $sitename!</center>";
	    		CloseTable();
	    		if ($mailadmin == "Y")
	    		{
		    		$message = ""._NEWMEMBERPREAPP." $sitename.\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UEMAIL." $user_email";
            		$subject = ""._MEMBERAPP."";
            		$from = "$sitename";
            		$sender = "$adminmail";
            		mail($sender, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
	    		}
    		}
    	}
    	else
    	{
	    	$result = $db->sql_query("INSERT INTO ".$user_prefix."_users (user_id, username, user_email, user_password, user_avatar, user_regdate, user_lang, custom1, custom2, custom3, custom4, custom5) VALUES (NULL, '$username', '$user_email', '$new_password', 'gallery/blank.gif', '$user_regdate', '$language', '$custom1', '$custom2', '$custom3', '$custom4', '$custom5')");
			if(!$result) 
			{
	    		echo ""._ERROR."<br>";
	    		echo mysql_error();
			} 
			else 
			{
				if ($addmessage = "Y")
				{
					$appmessage = stripslashes($appmessage);
					$message = ""._WELCOMETO." $sitename!\n\n"._YOUUSEDEMAIL." ($user_email) "._TOREGISTER." $sitename.\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UPASSWORD." $user_password\n\n"._APPUSELINK."\n\n $appmessage\n\n";
				}
				else
				{
	       	    	$message = ""._WELCOMETO." $sitename!\n\n"._YOUUSEDEMAIL." ($user_email) "._TOREGISTER." $sitename.\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UPASSWORD." $user_password\n\n"._APPUSELINK."";
       	    	}
	    $subject = ""._ACTIVATIONSUB."";
	    $from = "$adminmail";
	    mail($user_email, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
	    title("$sitename: "._USERREGLOGIN."");
	    OpenTable();
	    echo "<center><b>"._ACCOUNTCREATED."</b><br><br>";
	    		echo ""._YOUAREREGISTERED1.""
	        	."<br><br>"
				.""._ACCAPP."<br><br>"
				.""._THANKSUSER." $sitename!</center>";
	    		CloseTable();
	    		if ($mailadmin == "Y")
	    		{
		    		$message = ""._NEWMEMBERPREAPP." $sitename.\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UEMAIL." $user_email";
            		$subject = ""._MEMBERAPP."";
            		$from = "$sitename";
            		$sender = "$adminmail";
            		mail($sender, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
	    		}
    		}
    	}
	}
    else
    {
	  	if ($notapp == 1)
	    {
		    OpenTable();
		    echo "<center><b>"._APPNOTAPP."</b><br><br>";
			echo ""._APPRESTRICTED."<br><br>"
			.""._THANKSUSER." $sitename!</center>";
	    	CloseTable();
	    }
	    elseif ($notapp == 2)
	    {		         
		  	$rmessage = stripslashes($rmessage);
            $message = ""._YOURAPP." "._TOREGISTER." $sitename "._REJECTED."\n\n $rejectionmessage\n\n";
            $subject = ""._MEMBERAPP."";
            $from = "$adminmail";
            mail($user_email, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
            OpenTable();
		    echo "<center><b>"._APPNOTAPP."</b><br><br>";
			echo ""._APPRESTRICTED."<br><br>";
			echo ""._REJEMAILSENT."<br><br>"
			.""._THANKSUSER." $sitename!</center>";
	    	CloseTable();         	
	    }
	   	elseif ($notapp == 3)
	    {
        	$result = $db->sql_query("INSERT INTO ".$user_prefix."_pendingusers (user_id, username, user_email, user_password, user_regdate, check_num, time, custom1, custom2, custom3, custom4, custom5, user_ip) VALUES (NULL, '$username', '$user_email', '$user_password', '$user_regdate', '$check_num', '$time', '$custom1', '$custom2', '$custom3', '$custom4', '$custom5', '$ip')");
        	if(!$result) 
        	{
            	echo ""._ERROR."<br>";
             	echo mysql_error();
        	} 
        	else 
        	{
	    		$message = ""._NEWMEMBERAPP." $sitename.\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UEMAIL." $user_email";
            	$subject = ""._MEMBERAPP."";
            	$from = "$sitename";
            	$sender = "$adminmail";
            	mail($sender, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
	    		title("$sitename: "._USERREGLOGIN."");
	        	$sql = "SELECT * FROM ".$user_prefix."_pendingusers WHERE username='$username'";
            	$result = $db->sql_query($sql);
             	if(!$result) 
            	{
                	echo ""._ERROR."<br>";
                	echo mysql_error();
            	}
            	$myrow = $db->sql_fetchrow($result);
            	$username = $myrow["username"];
            	$user_email = $myrow["user_email"];
            	$sql = "SELECT * FROM ".$user_prefix."_stdemail";
            	$result = $db->sql_query($sql);
             	if(!$result) 
            	{
                	echo ""._ERROR."<br>";
                	echo mysql_error();
            	}
            	$myrow = $db->sql_fetchrow($result);
            	$fumessage = $myrow["fumessage"];           
            	$fudate = date("M d, Y");
            	$sql = "UPDATE ".$user_prefix."_pendingusers SET fusent = 1, fusentdate = '$fudate', fuemail='$fumessage' WHERE username='$username'";
            	$result = $db->sql_query($sql);
            	if(!$result) 
            	{
                	echo ""._ERROR."<br>";
                	echo mysql_error();
            	}
            	else
            	{
	            	$fumessage = stripslashes($fumessage);
                	$message = ""._YOUUSEDEMAIL." ($user_email) "._TOREGISTER." $sitename \n\n"._YOURAPP." "._APPPROCESSED."\n\n $fumessage\n\n";                
                	$subject = ""._MEMBERAPP."";
                	$from = "$adminmail";
                	mail($user_email, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
            	}
        	}        	
	    	OpenTable();
	    	echo "<center><b>"._ACCOUNTCREATED."</b><br><br>";
	    	echo ""._YOUAREREGISTERED1.""
	        ."<br><br>"
			.""._FINISHUSERCONF1."<br><br>"
			.""._THANKSUSER." $sitename!</center>";
	    	CloseTable();
    	}
    	else
    	{
        	$result = $db->sql_query("INSERT INTO ".$user_prefix."_pendingusers (user_id, username, user_email, user_password, user_regdate, check_num, time, custom1, custom2, custom3, custom4, custom5, user_ip) VALUES (NULL, '$username', '$user_email', '$user_password', '$user_regdate', '$check_num', '$time', '$custom1', '$custom2', '$custom3', '$custom4', '$custom5','$ip')");
			if(!$result) 
			{
	    		echo ""._ERROR."<br>";
                echo mysql_error();
			} 
			else 
			{
	    		$message = ""._NEWMEMBERAPP." $sitename.\n\n "._FOLLOWINGMEM."\n\n"._UNICKNAME." $username\n"._UEMAIL." $user_email";
            	$subject = ""._MEMBERAPP."";
            	$from = "$sitename";
            	$sender = "$adminmail";
            	mail($sender, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());
	    		title("$sitename: "._USERREGLOGIN."");
	    		OpenTable();
	    		echo "<center><b>"._ACCOUNTCREATED."</b><br><br>";
	    		echo ""._YOUAREREGISTERED1.""
	        	."<br><br>"
				.""._FINISHUSERCONF1."<br><br>"
				.""._THANKSUSER." $sitename!</center>";
	    		CloseTable();
    		}    			
    	}        	
       }
    } 
    else 
    {
	echo "$stop";
    }
    include("footer.php");
}

function activate($username, $check_num) {
    global $db, $user_prefix, $module_name, $language;
    $past = time()-172800;
    $db->sql_query("DELETE FROM ".$user_prefix."_users_temp WHERE time < $past");
    $result = $db->sql_query("SELECT * FROM ".$user_prefix."_users_temp WHERE username='$username' AND check_num='$check_num'");
    if ($db->sql_numrows($result) == 1) {
	$row = $db->sql_fetchrow($result);
    $custom1 = $row[custom1];
    $custom2 = $row[custom2];
    $custom3 = $row[custom3];
    $custom4 = $row[custom4];
    $custom5 = $row[custom5];
	if ($check_num == $row[check_num]) {
	    $result = $db->sql_query("INSERT INTO ".$user_prefix."_users (user_id, username, user_email, user_password, user_avatar, user_regdate, user_lang, custom1, custom2, custom3, custom4, custom5) VALUES (NULL, '$row[username]', '$row[user_email]', '$row[user_password]', 'gallery/blank.gif', '$row[user_regdate]', '$language', '$custom1', '$custom2', '$custom3', '$custom4', '$custom5')");
	                if(!$result) 
            {
                echo ""._ERROR."<br>";
                echo mysql_error();
            }
	    $db->sql_query("DELETE FROM ".$user_prefix."_users_temp WHERE username='$username' AND check_num='$check_num'");
	    include("header.php");
	    title(""._ACTIVATIONYES."");
	    OpenTable();
	    echo "<center><b>$row[username]:</b> "._ACTMSG."</center>";
	    CloseTable();
	    include("footer.php");
	    die();
	} else {
	    include("header.php");
	    title(""._ACTIVATIONERROR."");
	    OpenTable();
	    echo "<center>"._ACTERROR1."</center>";
	    CloseTable();
	    include("footer.php");
	    die();
	}
    } else {
	include("header.php");
	title(""._ACTIVATIONERROR."");
	OpenTable();
	echo "<center>"._ACTERROR2."</center>";
	CloseTable();
	include("footer.php");
	die();
    }

}

function userinfo($username, $bypass=0, $hid=0, $url=0) {
    global $user, $cookie, $sitename, $prefix, $user_prefix, $db, $admin, $broadcast_msg, $my_headlines, $module_name;
    $result = $db->sql_query("SELECT * FROM ".$user_prefix."_users WHERE username='$username'");
    $num = $db->sql_numrows($result);

    $userinfo = $db->sql_fetchrow($result);
        $sql = "SELECT * FROM ".$prefix."_fields_config";
    $result = $db->sql_query($sql);
   	if(!$result) 
    {
     	echo ""._ERROR."<br>";
        echo mysql_error();
    }
    else
    {
	 	while ($row = $db->sql_fetchrow($result))
	 	{
	    	if($row['idnum'] == "1")
	    	{
		 		$field_name1 = $row['field_name'];
	   			$field_size1 = $row['field_size'];
	   			$field_max_size1 = $row['field_max_size'];
	   			$field_activated1 = $row['field_activated'];
   			}
   			if($row['idnum'] == "2")
	    	{
		 		$field_name2 = $row['field_name'];
	   			$field_size2 = $row['field_size'];
	   			$field_max_size2 = $row['field_max_size'];
	   			$field_activated2 = $row['field_activated'];
   			}
   			if($row['idnum'] == "3")
	    	{
		 		$field_name3 = $row['field_name'];
	   			$field_size3 = $row['field_size'];
	   			$field_max_size3 = $row['field_max_size'];
	   			$field_activated3 = $row['field_activated'];
   			}
   			if($row['idnum'] == "4")
	    	{
		 		$field_name4 = $row['field_name'];
	   			$field_size4 = $row['field_size'];
	   			$field_max_size4 = $row['field_max_size'];
	   			$field_activated4 = $row['field_activated'];
   			}
   			if($row['idnum'] == "5")
	    	{
		 		$field_name5 = $row['field_name'];
	   			$field_size5 = $row['field_size'];
	   			$field_max_size5 = $row['field_max_size'];
	   			$field_activated5 = $row['field_activated'];
   			}
    	}   
    }	       
    if(!$bypass) cookiedecode($user);
    include("header.php");
    OpenTable();
    echo "<center>";
    if(($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {
	echo "<font class=\"option\">$username, "._WELCOMETO." $sitename!</font><br><br>";
	echo "<font class=\"content\">"._THISISYOURPAGE."</font></center><br><br>";
	nav(1);
	echo "<br><br>";
    } else {
	echo "<font class=\"title\">"._PERSONALINFO.": $username</font></center><br><br>";
    }
    if ($userinfo[user_website]) {
	if (!eregi("http://", $userinfo[user_website])) {
	    $userinfo[user_website] = "http://$userinfo[user_website]";
	}
    }
    if(($num == 1) && ($userinfo[user_website] || $userinfo[femail] || $userinfo[bio] || $userinfo[user_avatar] || $userinfo[user_icq] || $userinfo[user_aim] || $userinfo[user_yim] || $userinfo[user_msnm] || $userinfo[user_from] || $userinfo[user_occ] || $userinfo[user_interests] || $userinfo[user_sig] || $userinfo[custom1] || $userinfo[custom2] || $userinfo[custom3] || $userinfo[custom4] || $userinfo[custom5])) {
	echo "<center><font class=\"content\">";
	if (ereg("(http)", $userinfo[user_avatar])) { echo "<img src=\"$userinfo[user_avatar]\"><br>\n"; } elseif ($userinfo[user_avatar]) { echo "<img src=\"modules/Forums/images/avatars/$userinfo[user_avatar]\"><br>\n"; }
	if ($userinfo[user_website] != "http://" AND $userinfo[user_website] != "") { echo ""._MYHOMEPAGE." <a href=\"$userinfo[user_website]\" target=\"new\">$userinfo[user_website]</a><br>\n"; }
	if($field_activated1 == "1")
	{
	if ($userinfo[custom1]) echo "".$field_name1.": $userinfo[custom1]<br>\n";
	}
	if($field_activated2 == "1")
	{
	if ($userinfo[custom2]) echo "".$field_name2.": $userinfo[custom2]<br>\n";
	}
	if($field_activated3 == "1")
	{
	if ($userinfo[custom3]) echo "".$field_name3.": $userinfo[custom3]<br>\n";
	}
	if($field_activated4 == "1")
	{
	if ($userinfo[custom4]) echo "".$field_name4.": $userinfo[custom4]<br>\n";
	}
	if($field_activated5 == "1")
	{
	if ($userinfo[custom5]) echo "".$field_name5.": $userinfo[custom5]<br>\n";
	}
	if ($userinfo[femail]) { echo ""._MYEMAIL." <a href=\"mailto:$userinfo[femail]\">$userinfo[femail]</a><br>\n"; }
	if ($userinfo[user_icq]) echo ""._ICQ.": $userinfo[user_icq]<br>\n";
	if ($userinfo[user_aim]) echo ""._AIM.": $userinfo[user_aim]<br>\n";
	if ($userinfo[user_yim]) echo ""._YIM.": $userinfo[user_yim]<br>\n";
	if ($userinfo[user_msnm]) echo ""._MSNM.": $userinfo[user_msnm]<br>\n";
	if ($userinfo[user_from]) echo ""._LOCATION.": $userinfo[user_from]<br>\n";
	if ($userinfo[user_occ]) echo ""._OCCUPATION.": $userinfo[user_occ]<br>\n";
	if ($userinfo[user_interests]) echo ""._INTERESTS.": $userinfo[user_interests]<br>\n";
	$userinfo[user_sig] = nl2br($userinfo[user_sig]);
	if ($userinfo[user_sig]) echo "<br><b>"._SIGNATURE.":</b><br>$userinfo[user_sig]<br>\n";
	if ($userinfo[bio]) { echo "<br><b>"._EXTRAINFO.":</b><br>$userinfo[bio]<br>\n"; }
	$row2 = $db->sql_fetchrow($db->sql_query("SELECT uname FROM ".$prefix."_session WHERE uname='$username'"));
	$username_pm = $username;
	$username_online = $row2['uname'];
	if ($username_online == "") {
	    $online = _OFFLINE;
	} else {
	    $online = _ONLINE;
	}
	echo ""._USERSTATUS.": <b>$online</b><br>\n";
	if (($userinfo[newsletter] == 1) AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2]) OR (is_admin($admin) AND ($userinfo[newsletter] == 1))) {
	    echo "<i>"._SUBSCRIBED."</i><br>";
	} elseif (($userinfo[newsletter] == 0) AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2]) OR (is_admin($admin) AND ($userinfo[newsletter] == 0))) {
	    echo "<i>"._NOTSUBSCRIBED."</i><br>";
	}
	if (is_user($user) AND $cookie[1] == "$username" OR is_admin($admin)) {
	    $numpoints = $db->sql_fetchrow($db->sql_query("SELECT points FROM ".$user_prefix."_users WHERE username='$cookie[1]'"));
	    $n_points = intval($numpoints['points']);
	    echo ""._YOUHAVEPOINTS." <b>$n_points</b><br>";
	}
	if (is_active("Journal") AND $cookie[1] != $username) {
	    $row3 = $db->sql_fetchrow($db->sql_query("SELECT jid FROM ".$prefix."_journal WHERE aid='$username' AND status='yes' ORDER BY pdate,jid DESC LIMIT 0,1"));
	    $jid = intval($row3['jid']);
	    if ($jid != "" AND isset($jid)) {
		echo "[ <a href=\"modules.php?name=Journal&amp;file=search&amp;bywhat=aid&amp;forwhat=$username\">"._READMYJOURNAL."</a> ]<br>";
	    }
	}
	if (is_admin($admin)) {
	    echo "[ <a href=\"admin.php?op=modifyUser&chng_uid=$userinfo[user_id]\">"._EDITUSER."</a> ]<br>";
	}
	if (((is_user($user) AND $cookie[1] != $username) OR is_admin($admin)) AND is_active("Private_Messages")) { echo "<br>[ <a href=\"modules.php?name=Private_Messages&amp;mode=post&amp;u=$userinfo[user_id]\">"._USENDPRIVATEMSG." $username_pm</a> ]<br>\n"; }
	echo "</center></font>";
    } else {
	echo "<center>"._NOINFOFOR." $username</center>";
    }
    CloseTable();
    if ($my_headlines == 1 AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {
    echo "<br>";
    OpenTable();
    echo "<center><b>"._MYHEADLINES."</b><br><br>"
	.""._SELECTASITE."<br><br>"
	."<form action=\"modules.php?name=$module_name\" method=\"post\">"
	."<input type=\"hidden\" name=\"op\" value=\"userinfo\">"
	."<input type=\"hidden\" name=\"username\" value=\"$username\">"
	."<input type=\"hidden\" name=\"bypass\" value=\"$bypass\">"
	."<input type=\"hidden\" name=\"url\" value=\"0\">"
	."<select name=\"hid\" onChange='submit()'>\n"
	."<option value=\"0\">"._SELECTASITE2."</option>";
    $headl = $db->sql_query("SELECT hid, sitename FROM ".$prefix."_headlines ORDER BY sitename");
    while($row4 = $db->sql_fetchrow($headl)) {
	$nhid = intval($row4['hid']);
	$hsitename = $row4['sitename'];
	if ($hid == $nhid ) {
	    $sel = "selected";
	} else {
	    $sel = "";
	}
	echo "<option value=\"$nhid\" $sel>$hsitename</option>\n";
    }
    echo "</select></form>"
	.""._ORTYPEURL."<br><br>"
	."<form action=\"modules.php?name=$module_name\" method=\"post\">"
	."<input type=\"hidden\" name=\"op\" value=\"userinfo\">"
	."<input type=\"hidden\" name=\"username\" value=\"$username\">"
	."<input type=\"hidden\" name=\"bypass\" value=\"$bypass\">"
	."<input type=\"hidden\" name=\"hid\" value=\"0\">"
	."<input type=\"text\" name=\"url\" size=\"40\" maxlength=\"200\" value=\"http://\">&nbsp;&nbsp;"
	."<input type=\"submit\" value=\""._GO."\"></form>"
	."</center><br>";
    if ($hid != 0 OR ($hid == 0 AND $url != "0" AND $url != "http://") AND $url != "") {
	if ($hid != 0) {
    	    $row5 = $db->sql_fetchrow($db->sql_query("SELECT sitename, headlinesurl FROM ".$prefix."_headlines WHERE hid='$hid'"));
	    $nsitename = $row5['sitename'];
	    $url = $row5['headlinesurl'];
	    $title = stripslashes($nsitename);
	    $siteurl = eregi_replace("http://", "", $url);
	    $siteurl = explode("/", $siteurl);
	} else {
	    if (!ereg("http://", $url)) {
		$url = "http://$url";
	    }
	    $siteurl = eregi_replace("http://", "", $url);
	    $siteurl = explode("/", $siteurl);
	    $title = "http://$siteurl[0]";
	}
	$rdf = parse_url($url);
	$fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
	if (!$fp) {
    	    $content = "<center><font class=\"content\">"._RSSPROBLEM."</font></center>";
	}
	if ($fp) {
    	    fputs($fp, "GET " . $rdf['path'] . "?" . $rdf['query'] . " HTTP/1.0\r\n");
    	    fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
    	    $string	= "";
    	    while(!feof($fp)) {
		$pagetext = fgets($fp,300);
		$string .= chop($pagetext);
	    }
	    fputs($fp,"Connection: close\r\n\r\n");
	    fclose($fp);
	    $items = explode("</item>",$string);
	    $content = "<font class=\"content\">";
	    for ($i=0;$i<10;$i++) {
		$link = ereg_replace(".*<link>","",$items[$i]);
		$link = ereg_replace("</link>.*","",$link);
		$title2 = ereg_replace(".*<title>","",$items[$i]);
		$title2 = ereg_replace("</title>.*","",$title2);
		if ($items[$i] == "" AND $cont != 1) {
	    	    $content = "<center>"._RSSPROBLEM."</center>";
		} else {
	    	    if (strcmp($link,$title2) AND $items[$i] != "") {
	    		$cont = 1;
			$content .= "<img src=\"images/arrow.gif\" border=\"0\" hspace=\"5\"><a href=\"$link\" target=\"new\">$title2</a><br>\n";
		    }
		}
	    }
	}
	if ($content != "") {
	    OpenTable2();
	    echo "<center><b>"._HEADLINESFROM." <a href=\"http://$siteurl[0]\" target=\"new\">$title</a></b></center><br>";
	    echo "$content";
	    CloseTable2();
	} elseif (($cont == 0) OR ($content == "")) {
	    OpenTable2();
	    echo "<center>"._RSSPROBLEM."</center><br>";
	    CloseTable2();
	}
	echo "<br>";
    }
    CloseTable();
    }
    if ($broadcast_msg == 1 AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {
	echo "<br>";
	OpenTable();
	echo "<center><b>"._BROADCAST."</b><br><br>"._BROADCASTTEXT."<br><br>"
	    ."<form action=\"modules.php?name=$module_name\" method=\"post\">"
	    ."<input type=\"hidden\" name=\"who\" value=\"$username\">"
	    ."<input type=\"hidden\" name=\"op\" value=\"broadcast\">"
	    ."<input type=\"text\" size=\"60\" maxlength=\"255\" name=\"the_message\">&nbsp;&nbsp;<input type=\"submit\" value=\""._SEND."\">"
	    ."</form></center>";
	CloseTable();
    }
    if (is_active("Private_Messages") AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {
	echo "<br>";
	OpenTable();
	echo "<center><b>"._PRIVATEMESSAGES."</b><br><br>";
	$numrow = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_bbprivmsgs WHERE privmsgs_to_userid='$userinfo[user_id]' AND (privmsgs_type='1' OR privmsgs_type='5' OR privmsgs_type='0')"));
	if (is_active("Members_List")) {
	    $mem_list = "<a href=\"modules.php?name=Members_List\">"._BROWSEUSERS."</a>";
	} else {
	    $mem_list = "";
	}
	if (is_active("Search")) {
	    $mod_search = "<a href=\"modules.php?name=Search&amp;type=users\">"._SEARCHUSERS."</a>";
	} else {
	    $mod_search = "";
	}
	if ($mem_list != "" AND $mod_search != "") { $a = " | "; } else { $a = ""; }
	if ($mem_list != "" OR $mod_search != "") {
	    $links = "[ $mem_list $a $mod_search ]";
	} elseif ($mem_list == "" AND $mod_search == "") {
	    $links = "";
	}
	echo ""._YOUHAVE." <a href=\"modules.php?name=Private_Messages\"><b>$numrow</b></a> "._PRIVATEMSG."<br><br>"
	    ."<form action=\"modules.php?name=Private_Messages\" method=\"post\">"
	    .""._USENDPRIVATEMSG.": <input type=\"text\" name=\"pm_username\" size=\"20\">&nbsp;&nbsp;$links"
	    ."<input type=\"hidden\" name=\"send\" value=\"1\">"
	    ."</form></center>";
	CloseTable();
    }
    if ($articlecomm == 1) {
	echo "<br>";
	OpenTable();
	echo "<b>"._LAST10COMMENTS." $userinfo[username]:</b><br>";
	$result6 = $db->sql_query("SELECT tid, sid, subject FROM ".$prefix."_comments WHERE name='$userinfo[username]' ORDER BY tid DESC LIMIT 0,10");
	while($row6 = $db->sql_fetchrow($result6)) {
	$tid = intval($row6['tid']);
	$sid = intval($row6['sid']);
	$subject = stripslashes($row6['subject']);
    	    echo "<li><a href=\"modules.php?name=News&amp;file=article&amp;thold=-1&amp;mode=flat&amp;order=0&amp;sid=$sid#$tid\">$subject</a><br>";
	}
	CloseTable();
    }
    echo "<br>";
    OpenTable();
    echo "<b>"._LAST10SUBMISSIONS." $userinfo[username]:</b><br>";
    $result7 = $db->sql_query("SELECT sid, title FROM ".$prefix."_stories WHERE informant='$userinfo[username]' ORDER BY sid DESC LIMIT 0,10");
    while($row7 = $db->sql_fetchrow($result7)) {
	$sid = intval($row7['sid']);
	$title = stripslashes($row7['title']);
        echo "<li><a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a><br>";
    }
    CloseTable();
    include("footer.php");
}

function main($user) {
    global $stop, $module_name, $redirect, $mode, $t, $f, $gfx_chk;
    if(!is_user($user)) {
	include("header.php");
	if ($stop) {
	    OpenTable();
	    echo "<center><font class=\"title\"><b>"._LOGININCOR."</b></font></center>\n";
	    CloseTable();
	    echo "<br>\n";
	} else {
	    OpenTable();
	    echo "<center><font class=\"title\"><b>"._USERREGLOGIN."</b></font></center>\n";
	    CloseTable();
	    echo "<br>\n";
	}
	if (!is_user($user)) {
	    OpenTable();
	    mt_srand ((double)microtime()*1000000);
	    $maxran = 1000000;
	    $random_num = mt_rand(0, $maxran);
	    echo "<form action=\"modules.php?name=$module_name\" method=\"post\">\n"
		."<b>"._USERLOGIN."</b><br><br>\n"
		."<table border=\"0\"><tr><td>\n"
		.""._NICKNAME.":</td><td><input type=\"text\" name=\"username\" size=\"15\" maxlength=\"25\"></td></tr>\n"
		."<tr><td>"._PASSWORD.":</td><td><input type=\"password\" name=\"user_password\" size=\"15\" maxlength=\"20\"></td></tr>\n";
	    if (extension_loaded("gd") AND ($gfx_chk == 2 OR $gfx_chk == 4 OR $gfx_chk == 5 OR $gfx_chk == 7)) {
		echo "<tr><td colspan='2'>"._SECURITYCODE.": <img src='modules.php?name=$module_name&op=gfx&random_num=$random_num' border='1' alt='"._SECURITYCODE."' title='"._SECURITYCODE."'></td></tr>\n"
		    ."<tr><td colspan='2'>"._TYPESECCODE.": <input type=\"text\" NAME=\"gfx_check\" SIZE=\"7\" MAXLENGTH=\"6\"></td></tr>\n"
		    ."<input type=\"hidden\" name=\"random_num\" value=\"$random_num\">\n";
	    }
	    echo "</table><input type=\"hidden\" name=\"redirect\" value=$redirect>\n"
		."<input type=\"hidden\" name=\"mode\" value=$mode>\n"
		."<input type=\"hidden\" name=\"f\" value=$f>\n"
		."<input type=\"hidden\" name=\"t\" value=$t>\n"
		."<input type=\"hidden\" name=\"op\" value=\"login\">\n"
		."<input type=\"submit\" value=\""._LOGIN."\"></form><br>\n\n"
		."<center><font class=\"content\">[ <a href=\"modules.php?name=$module_name&amp;op=pass_lost\">"._PASSWORDLOST."</a> | <a href=\"modules.php?name=$module_name&amp;op=new_user\">"._REGNEWUSER."</a> ]</font></center>\n";
	    CloseTable();
	}
	include("footer.php");
    } elseif (is_user($user)) {
        global $cookie;
        cookiedecode($user);
        userinfo($cookie[1]);
    }
}

function gfx($random_num) {
    global $prefix, $db, $module_name;
    require("config.php");
    $datekey = date("F j");
    $rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $random_num . $datekey));
    $code = substr($rcode, 2, 6);
    $image = ImageCreateFromJPEG("modules/$module_name/images/code_bg.jpg");
    $text_color = ImageColorAllocate($image, 80, 80, 80);
    Header("Content-type: image/jpeg");
    ImageString ($image, 5, 12, 2, $code, $text_color);
    ImageJPEG($image, '', 75);
    ImageDestroy($image);
    die();
}

function new_user() {
    global $my_headlines, $module_name, $db, $gfx_chk, $prefix, $currentlang;
    if (!is_user($user)) {
    $sql = "SELECT * FROM ".$prefix."_fields_config";
    $result = $db->sql_query($sql);
   	if(!$result) 
    {
     	echo ""._ERROR."<br>";
        echo mysql_error();
    }
    else
    {
	 	while ($row = $db->sql_fetchrow($result))
	 	{
	    	if($row['idnum'] == "1")
	    	{
		 		$field_name1 = $row['field_name'];
	   			$field_size1 = $row['field_size'];
	   			$field_max_size1 = $row['field_max_size'];
	   			$field_activated1 = $row['field_activated'];
   			}
   			if($row['idnum'] == "2")
	    	{
		 		$field_name2 = $row['field_name'];
	   			$field_size2 = $row['field_size'];
	   			$field_max_size2 = $row['field_max_size'];
	   			$field_activated2 = $row['field_activated'];
   			}
   			if($row['idnum'] == "3")
	    	{
		 		$field_name3 = $row['field_name'];
	   			$field_size3 = $row['field_size'];
	   			$field_max_size3 = $row['field_max_size'];
	   			$field_activated3 = $row['field_activated'];
   			}
   			if($row['idnum'] == "4")
	    	{
		 		$field_name4 = $row['field_name'];
	   			$field_size4 = $row['field_size'];
	   			$field_max_size4 = $row['field_max_size'];
	   			$field_activated4 = $row['field_activated'];
   			}
   			if($row['idnum'] == "5")
	    	{
		 		$field_name5 = $row['field_name'];
	   			$field_size5 = $row['field_size'];
	   			$field_max_size5 = $row['field_max_size'];
	   			$field_activated5 = $row['field_activated'];
   			}
    	}   
    }	       
	mt_srand ((double)microtime()*1000000);
	$maxran = 1000000;
	$random_num = mt_rand(0, $maxran);
	include("header.php");
	include_once("modules/$module_name/approvelanguage/lang-$currentlang.php");
	OpenTable();
	echo "<center><font class=\"title\"><b>"._USERREGLOGIN."</b></font></center>\n";
	CloseTable();
	echo "<br>\n";
	OpenTable();
	echo "<form action=\"modules.php?name=$module_name\" method=\"post\">\n"
    	    ."<b>"._REGNEWUSER."</b> ("._ALLREQUIRED.")<br><br>\n"
	    ."<table cellpadding=\"0\" cellspacing=\"10\" border=\"0\">\n"
	    ."<tr><td>"._NICKNAME.":</td><td><input type=\"text\" name=\"username\" size=\"30\" maxlength=\"25\"></td></tr>\n"
    	."<tr><td>"._EMAIL.":</td><td><input type=\"text\" name=\"user_email\" size=\"30\" maxlength=\"255\"></td></tr>\n";
    	if ($field_activated1 == "1")
    	{
    	echo "<tr><td>".$field_name1.":</td><td><input type=\"text\" name=\"custom1\" size=\"$field_size1\" maxlength=\"$field_max_size1\"></td></tr>\n";
    	}
    	else
    	{
	    	echo "<input type=\"hidden\" name=\"custom1\" value=\"\">\n";
    	}
    	if ($field_activated2 == "1")
    	{
    	echo "<tr><td>".$field_name2.":</td><td><input type=\"text\" name=\"custom2\" size=\"$field_size2\" maxlength=\"$field_max_size2\"></td></tr>\n";
    	}
    	else
    	{
	    	echo "<input type=\"hidden\" name=\"custom2\" value=\"\">\n";
    	}    	
    	if ($field_activated3 == "1")
    	{
    	echo "<tr><td>".$field_name3.":</td><td><input type=\"text\" name=\"custom3\" size=\"$field_size3\" maxlength=\"$field_max_size3\"></td></tr>\n";
    	}
    	else
    	{
	    	echo "<input type=\"hidden\" name=\"custom3\" value=\"\">\n";
    	}    	
    	if ($field_activated4 == "1")
    	{
    	echo "<tr><td>".$field_name4.":</td><td><input type=\"text\" name=\"custom4\" size=\"$field_size4\" maxlength=\"$field_max_size4\"></td></tr>\n";
    	}
    	else
    	{
	    	echo "<input type=\"hidden\" name=\"custom4\" value=\"\">\n";
    	}    	
    	if ($field_activated5 == "1")
    	{
    	echo "<tr><td>".$field_name5.":</td><td><input type=\"text\" name=\"custom5\" size=\"$field_size5\" maxlength=\"$field_max_size5\"></td></tr>\n";
    	}
    	else
    	{
	    	echo "<input type=\"hidden\" name=\"custom5\" value=\"\">\n";
    	}
	    echo "<tr><td>"._PASSWORD.":</td><td><input type=\"password\" name=\"user_password\" size=\"11\" maxlength=\"40\"></td></tr>\n"
	    ."<tr><td>"._RETYPEPASSWORD.":</td><td><input type=\"password\" name=\"user_password2\" size=\"11\" maxlength=\"40\"><br><font class=\"tiny\">("._BLANKFORAUTO.")</font></td></tr>\n";
	if (extension_loaded("gd") AND ($gfx_chk == 3 OR $gfx_chk == 4 OR $gfx_chk == 6 OR $gfx_chk == 7)) {
	    echo "<tr><td>"._SECURITYCODE.":</td><td><img src='modules.php?name=$module_name&op=gfx&random_num=$random_num' border='1' alt='"._SECURITYCODE."' title='"._SECURITYCODE."'></td></tr>\n"
	        ."<tr><td>"._TYPESECCODE.":</td><td><input type=\"text\" NAME=\"gfx_check\" SIZE=\"7\" MAXLENGTH=\"6\"></td></tr>\n"
	        ."<input type=\"hidden\" name=\"random_num\" value=\"$random_num\">\n";
	}
	echo "<tr><td colspan='2'>\n"
	    ."<input type=\"hidden\" name=\"op\" value=\"new user\">\n"
	    ."<input type=\"hidden\" name=\"field_activated1\" value=\"$field_activated1\">\n"
	    ."<input type=\"hidden\" name=\"field_activated2\" value=\"$field_activated2\">\n"
	    ."<input type=\"hidden\" name=\"field_activated3\" value=\"$field_activated3\">\n"
	    ."<input type=\"hidden\" name=\"field_activated4\" value=\"$field_activated4\">\n"
	    ."<input type=\"hidden\" name=\"field_activated5\" value=\"$field_activated5\">\n"
	   	."<input type=\"hidden\" name=\"field_name1\" value=\"$field_name1\">\n"
	    ."<input type=\"hidden\" name=\"field_name2\" value=\"$field_name2\">\n"
	    ."<input type=\"hidden\" name=\"field_name3\" value=\"$field_name3\">\n"
	    ."<input type=\"hidden\" name=\"field_name4\" value=\"$field_name4\">\n"
	    ."<input type=\"hidden\" name=\"field_name5\" value=\"$field_name5\">\n"
    	    ."<input type=\"submit\" value=\""._NEWUSER."\">\n"
    	    ."</td></tr></table>\n"
	    ."</form>\n"
	    ."<br>\n"
    	    .""._PENDINGNOTICE."<br><br>\n"
    	    .""._COOKIEWARNING."<br>\n"
    	    .""._ASREGUSER."<br>\n"
	    ."<ul>\n"
    	    ."<li>"._ASREG1."\n"
    	    ."<li>"._ASREG2."\n"
    	    ."<li>"._ASREG3."\n"
    	    ."<li>"._ASREG4."\n"
    	    ."<li>"._ASREG5."\n";
	$handle=opendir('themes');
	    while ($file = readdir($handle)) {
	    if ((!ereg("[.]",$file) AND file_exists("themes/$file/theme.php"))) {
		$thmcount++;
	    }
	}
	closedir($handle);
    	if ($thmcount > 1) {
	    echo "<li>"._ASREG6."\n";
	}
	$result = $db->sql_query("SELECT custom_title FROM ".$prefix."_modules WHERE active='1' AND view='1' AND inmenu='1'");
	while ($row = $db->sql_fetchrow($result)) {
	    $custom_title = $row['custom_title'];
	    if ($custom_title != "") {
		echo "<li>"._ACCESSTO." $custom_title\n";
	    }
	}
	$result2 = $db->sql_query("SELECT title FROM ".$prefix."_blocks WHERE active='1' AND view='1'");
	while ($row2 = $db->sql_fetchrow($result2)) {
	    $b_title = $row2['title'];
	    if ($b_title != "") {
		echo "<li>"._ACCESSTO." $b_title\n";
	    }
	}
	if (is_active("Journal")) {
	    echo "<li>"._CREATEJOURNAL."\n";
	}
	if ($my_headlines == 1) {
	    echo "<li>"._READHEADLINES."\n";
	}
    	echo "<li>"._ASREG7."\n"
	    ."</ul>\n"
    	    .""._REGISTERNOW."<br>\n"
    	    .""._WEDONTGIVE."<br><br>\n"
	    ."<center><font class=\"content\">[ <a href=\"modules.php?name=$module_name\">"._USERLOGIN."</a> | <a href=\"modules.php?name=$module_name&amp;op=pass_lost\">"._PASSWORDLOST."</a> ]</font></center>\n";
	CloseTable();
	include("footer.php");
    } elseif (is_user($user)) {
	global $cookie;
	cookiedecode($user);
	userinfo($cookie[1]);
    }
}

function pass_lost() {
    global $user, $module_name;
    if (!is_user($user)) {
	include("header.php");
	OpenTable();
	echo "<center><font class=\"title\"><b>"._USERREGLOGIN."</b></font></center>\n";
	CloseTable();
	echo "<br>\n";
	OpenTable();
	echo "<b>"._PASSWORDLOST."</b><br><br>\n"
    	    .""._NOPROBLEM."<br><br>\n"
	    ."<form action=\"modules.php?name=$module_name\" method=\"post\">\n"
	    ."<table border=\"0\"><tr><td>\n"
    	    .""._NICKNAME.":</td><td><input type=\"text\" name=\"username\" size=\"15\" maxlength=\"25\"></td></tr>\n"
    	    ."<tr><td>"._CONFIRMATIONCODE.":</td><td><input type=\"text\" name=\"code\" size=\"11\" maxlength=\"10\"></td></tr></table><br>\n"
    	    ."<input type=\"hidden\" name=\"op\" value=\"mailpasswd\">\n"
    	    ."<input type=\"submit\" value=\""._SENDPASSWORD."\"></form><br>\n"
	    ."<center><font class=\"content\">[ <a href=\"modules.php?name=$module_name\">"._USERLOGIN."</a> | <a href=\"modules.php?name=$module_name&amp;op=new_user\">"._REGNEWUSER."</a> ]</font></center>\n";
	CloseTable();
	include("footer.php");
    } elseif(is_user($user)) {
	global $cookie;
	cookiedecode($user);
	userinfo($cookie[1]);
    }
}

function logout() {
    global $prefix, $db, $user, $cookie, $redirect;
    cookiedecode($user);
    $r_uid = $cookie[0];
    $r_username = $cookie[1];
    setcookie("user");
    $db->sql_query("DELETE FROM ".$prefix."_session WHERE uname='$r_username'");
    $db->sql_query("DELETE FROM ".$prefix."_bbsessions WHERE session_user_id='$r_uid'");
    $user = "";
    include("header.php");
    OpenTable();
    if ($redirect != "") {
        echo "<META HTTP-EQUIV=\"refresh\" content=\"3;URL=modules.php?name=$redirect\">";
    } else {
        echo "<META HTTP-EQUIV=\"refresh\" content=\"3;URL=index.php\">";
    }
    echo "<center><font class=\"option\"><b>"._YOUARELOGGEDOUT."</b></font></center>";
    CloseTable();
    include("footer.php");
}

function mail_password($username, $code) {
    global $sitename, $adminmail, $nukeurl, $user_prefix, $db, $module_name;
    $result = $db->sql_query("SELECT user_email, user_password FROM ".$user_prefix."_users WHERE username='$username'");
    if(!$result) {
	include("header.php");
	OpenTable();
	echo "<center>"._SORRYNOUSERINFO."</center>";
	CloseTable();
	include("footer.php");
    } else {
	$host_name = $_SERVER["REMOTE_ADDR"];
	$row = $db->sql_fetchrow($result);
	$user_email = $row['user_email'];
	$user_password = $row['user_password'];
	$areyou = substr($user_password, 0, 10);
	if ($areyou==$code) {
	    $newpass=makepass();
	    $message = ""._USERACCOUNT." '$username' "._AT." $sitename "._HASTHISEMAIL."  "._AWEBUSERFROM." $host_name "._HASREQUESTED."\n\n"._YOURNEWPASSWORD." $newpass\n\n "._YOUCANCHANGE." $nukeurl/modules.php?name=$module_name\n\n"._IFYOUDIDNOTASK."";
	    $subject = ""._USERPASSWORD4." $username";
	    mail($user_email, $subject, $message, "From: $adminmail\nX-Mailer: PHP/" . phpversion());
	    /* Next step: add the new password to the database */
	    $cryptpass = md5($newpass);
	    $query = "UPDATE ".$user_prefix."_users SET user_password='$cryptpass' WHERE username='$username'";
	    if (!$db->sql_query($query)) {
	    	echo ""._UPDATEFAILED."";
	    }
	    include ("header.php");
	    OpenTable();
	    echo "<center>"._PASSWORD4." $username "._MAILED."<br><br>"._GOBACK."</center>";
	    CloseTable();
	    include ("footer.php");
	/* If no Code, send it */
	} else {
	    $result2 = $db->sql_query("SELECT user_email, user_password FROM ".$user_prefix."_users WHERE username='$username'");
	    if(!$result2) {
		include ("header.php");
		OpenTable();
	        echo "<center>"._SORRYNOUSERINFO."</center>";
		CloseTable();
		include ("footer.php");
	    } else {
	        $host_name = $_SERVER["REMOTE_ADDR"];
			$row2 = $db->sql_fetchrow($result2);
	        $user_email = $row2['user_email'];
			$user_password = $row2['user_password'];
	        $areyou = substr($user_password, 0, 10);
    		$message = ""._USERACCOUNT." '$username' "._AT." $sitename "._HASTHISEMAIL." "._AWEBUSERFROM." $host_name "._CODEREQUESTED."\n\n"._YOURCODEIS." $areyou \n\n"._WITHTHISCODE." $nukeurl/modules.php?name=$module_name&op=pass_lost\n"._IFYOUDIDNOTASK2."";
		$subject=""._CODEFOR." $username";
		mail($user_email, $subject, $message, "From: $adminmail\nX-Mailer: PHP/" . phpversion());
		include ("header.php");
		OpenTable();
		echo "<center>"._CODEFOR." $username "._MAILED."<br><br>"._GOBACK."</center>";
		CloseTable();
		include ("footer.php");
    	    }		
	}
    }
}

function docookie($setuid, $setusername, $setpass, $setstorynum, $setumode, $setuorder, $setthold, $setnoscore, $setublockon, $settheme, $setcommentmax) {
    $info = base64_encode("$setuid:$setusername:$setpass:$setstorynum:$setumode:$setuorder:$setthold:$setnoscore:$setublockon:$settheme:$setcommentmax");
    setcookie("user","$info",time()+2592000);
}

function login($username, $user_password, $redirect, $mode, $f, $t, $random_num, $gfx_check) {
    global $setinfo, $user_prefix, $db, $module_name, $pm_login, $prefix;
    include("config.php");
    $result = $db->sql_query("SELECT user_password, user_id, storynum, umode, uorder, thold, noscore, ublockon, theme, commentmax FROM ".$user_prefix."_users WHERE username='$username'");
    $setinfo = $db->sql_fetchrow($result);
    $forward = ereg_replace("redirect=", "", "$redirect");
    if (ereg("privmsg", $forward)) {
        $pm_login = "active";
    }
    if (($db->sql_numrows($result)==1) AND ($setinfo[user_id] != 1) AND ($setinfo[user_password] != "")) {
	$dbpass=$setinfo[user_password];
	$non_crypt_pass = $user_password;
  	$old_crypt_pass = crypt($user_password,substr($dbpass,0,2));
	$new_pass = md5($user_password);
	if (($dbpass == $non_crypt_pass) OR ($dbpass == $old_crypt_pass)) {
	    $db->sql_query("UPDATE ".$user_prefix."_users SET user_password='$new_pass' WHERE username='$username'");
	    $row2 = $db->sql_fetchrow($db->sql_query("SELECT user_password FROM ".$user_prefix."_users WHERE username='$username'"));
	    $dbpass = $row2['user_password'];
	}
	if ($dbpass != $new_pass) {
            Header("Location: modules.php?name=$module_name&stop=1");
    	    return;
	}
	$datekey = date("F j");
	$rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $random_num . $datekey));
	$code = substr($rcode, 2, 6);
	if (extension_loaded("gd") AND $code != $gfx_check AND ($gfx_chk == 2 OR $gfx_chk == 4 OR $gfx_chk == 5 OR $gfx_chk == 7)) {
	    Header("Location: modules.php?name=$module_name&stop=1");
	    die();
	} else {
	    docookie($setinfo[user_id], $username, $new_pass, $setinfo[storynum], $setinfo[umode], $setinfo[uorder], $setinfo[thold], $setinfo[noscore], $setinfo[ublockon], $setinfo[theme], $setinfo[commentmax]);
	    $uname = $_SERVER["REMOTE_ADDR"];
	    $db->sql_query("DELETE FROM ".$prefix."_session WHERE uname='$uname' AND guest='1'");
	}
	if ($pm_login != "") {
            Header("Location: modules.php?name=Private_Messages&file=index&folder=inbox");
	    exit;
	}
        if ($redirect == "" ) {
            Header("Location: modules.php?name=Your_Account&amp;op=userinfo&amp;bypass=1&amp;username=$username");
        } else if ($mode == "") {
            Header("Location: modules.php?name=Forums&amp;file=$forward");
        } else if ($t !="")  {
            Header("Location: modules.php?name=Forums&amp;file=$forward&amp;mode=$mode&amp;t=$t");
        } else {
            Header("Location: modules.php?name=Forums&amp;file=$forward&amp;mode=$mode&amp;f=$f");
	}
    } else {
	Header("Location: modules.php?name=$module_name&amp;stop=1");
    }
}

function edituser() {
    global $user, $userinfo, $cookie, $module_name, $bgcolor2, $bgcolor3, $prefix, $db;
    getusrinfo($user);
    $custom1 = $userinfo[custom1];
    $custom2 = $userinfo[custom2];
    $custom3 = $userinfo[custom3];
    $custom4 = $userinfo[custom4];
    $custom5 = $userinfo[custom5];
    $sql = "SELECT * FROM ".$prefix."_fields_config";
    $result = $db->sql_query($sql);
   	if(!$result) 
    {
     	echo ""._ERROR."<br>";
        echo mysql_error();
    }
    else
    {
	 	while ($row = $db->sql_fetchrow($result))
	 	{
	    	if($row['idnum'] == "1")
	    	{
		 		$field_name1 = $row['field_name'];
	   			$field_size1 = $row['field_size'];
	   			$field_max_size1 = $row['field_max_size'];
	   			$field_activated1 = $row['field_activated'];
   			}
   			if($row['idnum'] == "2")
	    	{
		 		$field_name2 = $row['field_name'];
	   			$field_size2 = $row['field_size'];
	   			$field_max_size2 = $row['field_max_size'];
	   			$field_activated2 = $row['field_activated'];
   			}
   			if($row['idnum'] == "3")
	    	{
		 		$field_name3 = $row['field_name'];
	   			$field_size3 = $row['field_size'];
	   			$field_max_size3 = $row['field_max_size'];
	   			$field_activated3 = $row['field_activated'];
   			}
   			if($row['idnum'] == "4")
	    	{
		 		$field_name4 = $row['field_name'];
	   			$field_size4 = $row['field_size'];
	   			$field_max_size4 = $row['field_max_size'];
	   			$field_activated4 = $row['field_activated'];
   			}
   			if($row['idnum'] == "5")
	    	{
		 		$field_name5 = $row['field_name'];
	   			$field_size5 = $row['field_size'];
	   			$field_max_size5 = $row['field_max_size'];
	   			$field_activated5 = $row['field_activated'];
   			}
    	}   
    }	       
    if (($userinfo[username] != $cookie[1]) AND ($userinfo[user_password] != $cookie[2])) {
	include("header.php");
	OpenTable();
	echo "<center><font class=\"title\"><b>"._PERSONALINFO."</b></font></center>";
	CloseTable();
	echo "<br>";    
	OpenTable();
	nav();
	CloseTable();
	echo "<br>";
	if (!eregi("http://",$userinfo[user_website])) {
	    $userinfo[user_website] = "http://$userinfo[user_website]";
	}
	OpenTable();
	$userinfo[user_avatar] = ereg_replace("gallery/","",$userinfo[user_avatar]);
	echo "<table cellpadding=\"3\" border=\"0\" width='100%'><tr><td bgcolor='$bgcolor2'>"
	    ."<form name=\"Register\" action=\"modules.php?name=$module_name\" method=\"post\">"
	    ."<b>"._USRNICKNAME."</b>:</td><td bgcolor='$bgcolor3'><b>$userinfo[username]</b></td></tr><tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._UREALNAME."</b>:<br>"._OPTIONAL."</td><td bgcolor='$bgcolor3'>"
	    ."<input type=\"text\" name=\"realname\" value=\"$userinfo[name]\" size=\"50\" maxlength=\"60\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._UREALEMAIL.":</b><br>"._REQUIRED."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_email\" value=\"$userinfo[user_email]\" size=\"50\" maxlength=\"255\"><br>"._EMAILNOTPUBLIC."</td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._UFAKEMAIL.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"femail\" value=\"$userinfo[femail]\" size=\"50\" maxlength=\"255\"><br>"._EMAILPUBLIC."</td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YOURHOMEPAGE.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_website\" value=\"$userinfo[user_website]\" size=\"50\" maxlength=\"255\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YOURAVATAR.":</b><br>"._OPTIONAL."</td><td bgcolor='$bgcolor3'>[ <a href=\"modules.php?name=$module_name&amp;op=avatarlist\">"._LIST."</a> ]&nbsp;&nbsp;"
	    ."<select name=\"user_avatar\" onChange=\"showimage()\">"
	    ."<option value=\"$userinfo[user_avatar]\">$userinfo[user_avatar]</option>";
	$direktori = "modules/Forums/images/avatars/gallery";
	$handle=opendir($direktori);
	while ($file = readdir($handle)) {
	    $filelist[] = $file;
	}
	asort($filelist);
	while (list ($key, $file) = each ($filelist)) {
	    ereg(".gif|.jpg",$file);
	    if ($file == "." || $file == "..") {
		$a=1;
	    } else {
		echo "<option value=\"$file\">$file</option>";
	    }
	}
	echo "</select>&nbsp;&nbsp;<img src=\"modules/Forums/images/avatars/gallery/$userinfo[user_avatar]\" name=\"avatar\" width=\"32\" height=\"32\" alt=\"\"></td></tr>";
	if($field_activated1 == "1")
	{
	    echo "<tr><td bgcolor='$bgcolor2'><b>".$field_name1.":</b><br>"._REQUIRED."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"custom1\" value=\"$custom1\" size=\"$field_size1\" maxlength=\"$field_max_size1\"></td></tr>";
    }
    else
    {
	    echo "<input type=\"hidden\" name=\"custom1\" value=\"\">\n";
    }
    if($field_activated2 == "1")
	{
	    echo "<tr><td bgcolor='$bgcolor2'><b>".$field_name2.":</b><br>"._REQUIRED."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"custom2\" value=\"$custom2\" size=\"$field_size2\" maxlength=\"$field_max_size2\"></td></tr>";
    }
    else
    {
	    echo "<input type=\"hidden\" name=\"custom2\" value=\"\">\n";
    }
    if($field_activated3 == "1")
	{
	    echo "<tr><td bgcolor='$bgcolor2'><b>".$field_name3.":</b><br>"._REQUIRED."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"custom3\" value=\"$custom3\" size=\"$field_size3\" maxlength=\"$field_max_size3\"></td></tr>";
    }
    else
    {
	    echo "<input type=\"hidden\" name=\"custom3\" value=\"\">\n";
    }
    if($field_activated4 == "1")
	{
	    echo "<tr><td bgcolor='$bgcolor2'><b>".$field_name4.":</b><br>"._REQUIRED."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"custom4\" value=\"$custom4\" size=\"$field_size4\" maxlength=\"$field_max_size4\"></td></tr>";
    }
    else
    {
	    echo "<input type=\"hidden\" name=\"custom4\" value=\"\">\n";
    }
    if($field_activated5 == "1")
	{
	    echo "<tr><td bgcolor='$bgcolor2'><b>".$field_name5.":</b><br>"._REQUIRED."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"custom5\" value=\"$custom5\" size=\"$field_size5\" maxlength=\"$field_max_size5\"></td></tr>";
    }
    else
    {
	    echo "<input type=\"hidden\" name=\"custom5\" value=\"\">\n";
    }
	echo "<tr><td bgcolor='$bgcolor2'><b>"._YICQ.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_icq\" value=\"$userinfo[user_icq]\" size=\"30\" maxlength=\"100\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YAIM.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_aim\" value=\"$userinfo[user_aim]\" size=\"30\" maxlength=\"100\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YYIM.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_yim\" value=\"$userinfo[user_yim]\" size=\"30\" maxlength=\"100\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YMSNM.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_msnm\" value=\"$userinfo[user_msnm]\" size=\"30\" maxlength=\"100\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YLOCATION.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_from\" value=\"$userinfo[user_from]\" size=\"30\" maxlength=\"100\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YOCCUPATION.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_occ\" value=\"$userinfo[user_occ]\" size=\"30\" maxlength=\"100\"></td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._YINTERESTS.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><input type=\"text\" name=\"user_interests\" value=\"$userinfo[user_interests]\" size=\"30\" maxlength=\"100\"></td></tr>";
	echo "<tr><td bgcolor='$bgcolor2'><b>"._RECEIVENEWSLETTER."</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[newsletter] == 1) {
	    echo "<input type=\"radio\" name=\"newsletter\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"newsletter\" value=\"0\">"._NO."";
	} elseif ($userinfo[newsletter] == 0) {
	    echo "<input type=\"radio\" name=\"newsletter\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"newsletter\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";
	
    if ($field_activated1 =="1")
    {
		echo "<tr><td bgcolor='$bgcolor2'><b>"._ALWAYSSHOW."$field_name1:</b></td><td bgcolor='$bgcolor3'>";
		if ($userinfo[user_show_custom1] == 1) {
	    	echo "<input type=\"radio\" name=\"user_show_custom1\" value=\"1\" checked>"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom1\" value=\"0\">"._NO."";
		} elseif ($userinfo[user_show_custom1] == 0) {
	    	echo "<input type=\"radio\" name=\"user_show_custom1\" value=\"1\">"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom1\" value=\"0\" checked>"._NO."";
		}
		echo "</td></tr>";
	}
	else
	{
		echo "<input type=\"hidden\" name=\"user_show_custom1\" value=\"0\">";
	}
		
	if ($field_activated2 =="1")
    {
		echo "<tr><td bgcolor='$bgcolor2'><b>"._ALWAYSSHOW."$field_name2:</b></td><td bgcolor='$bgcolor3'>";
		if ($userinfo[user_show_custom2] == 1) {
	    	echo "<input type=\"radio\" name=\"user_show_custom2\" value=\"1\" checked>"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom2\" value=\"0\">"._NO."";
		} elseif ($userinfo[user_show_custom2] == 0) {
	    	echo "<input type=\"radio\" name=\"user_show_custom2\" value=\"1\">"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom2\" value=\"0\" checked>"._NO."";
		}
		echo "</td></tr>";
	}
	else
	{
		echo "<input type=\"hidden\" name=\"user_show_custom2\" value=\"0\">";
	}
		
	if ($field_activated3 =="1")
    {
		echo "<tr><td bgcolor='$bgcolor2'><b>"._ALWAYSSHOW."$field_name3:</b></td><td bgcolor='$bgcolor3'>";
		if ($userinfo[user_show_custom3] == 1) {
	    	echo "<input type=\"radio\" name=\"user_show_custom3\" value=\"1\" checked>"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom3\" value=\"0\">"._NO."";
		} elseif ($userinfo[user_show_custom3] == 0) {
	    	echo "<input type=\"radio\" name=\"user_show_custom3\" value=\"1\">"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom3\" value=\"0\" checked>"._NO."";
		}
		echo "</td></tr>";
	}
	else
	{
		echo "<input type=\"hidden\" name=\"user_show_custom3\" value=\"0\">";
	}
		
	if ($field_activated4 =="1")
    {
		echo "<tr><td bgcolor='$bgcolor2'><b>"._ALWAYSSHOW."$field_name4:</b></td><td bgcolor='$bgcolor3'>";
		if ($userinfo[user_show_custom4] == 1) {
	    	echo "<input type=\"radio\" name=\"user_show_custom4\" value=\"1\" checked>"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom4\" value=\"0\">"._NO."";
		} elseif ($userinfo[user_show_custom4] == 0) {
	    	echo "<input type=\"radio\" name=\"user_show_custom4\" value=\"1\">"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom4\" value=\"0\" checked>"._NO."";
		}
		echo "</td></tr>";
	}
	else
	{
		echo "<input type=\"hidden\" name=\"user_show_custom4\" value=\"0\">";
	}	
		
	if ($field_activated5 =="1")
    {
		echo "<tr><td bgcolor='$bgcolor2'><b>"._ALWAYSSHOW."$field_name5:</b></td><td bgcolor='$bgcolor3'>";
		if ($userinfo[user_show_custom5] == 1) {
	    	echo "<input type=\"radio\" name=\"user_show_custom5\" value=\"1\" checked>"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom5\" value=\"0\">"._NO."";
		} elseif ($userinfo[user_show_custom5] == 0) {
	    	echo "<input type=\"radio\" name=\"user_show_custom5\" value=\"1\">"._YES." &nbsp;"
			."<input type=\"radio\" name=\"user_show_custom5\" value=\"0\" checked>"._NO."";
		}
		echo "</td></tr>";
	}
	else
	{
		echo "<input type=\"hidden\" name=\"user_show_custom5\" value=\"0\">";
	}
		
	echo "<tr><td bgcolor='$bgcolor2'><b>"._ALWAYSSHOWEMAIL.":</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_viewemail] == 1) {
	    echo "<input type=\"radio\" name=\"user_viewemail\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_viewemail\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_viewemail] == 0) {
	    echo "<input type=\"radio\" name=\"user_viewemail\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_viewemail\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._HIDEONLINE.":</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_allow_viewonline] == 1) {
	    echo "<input type=\"radio\" name=\"user_allow_viewonline\" value=\"0\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allow_viewonline\" value=\"1\" checked>"._NO."";
	} elseif ($userinfo[user_allow_viewonline] == 0) {
	    echo "<input type=\"radio\" name=\"user_allow_viewonline\" value=\"0\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allow_viewonline\" value=\"1\">"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._REPLYNOTIFY.":</b><br>"._REPLYNOTIFYMSG."</td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_notify] == 1) {
	    echo "<input type=\"radio\" name=\"user_notify\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_notify\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_notify] == 0) {
	    echo "<input type=\"radio\" name=\"user_notify\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_notify\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._PMNOTIFY.":</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_notify_pm] == 1) {
	    echo "<input type=\"radio\" name=\"user_notify_pm\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_notify_pm\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_notify_pm] == 0) {
	    echo "<input type=\"radio\" name=\"user_notify_pm\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_notify_pm\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._POPPM.":</b><br>"._POPPMMSG."</td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_popup_pm] == 1) {
	    echo "<input type=\"radio\" name=\"user_popup_pm\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_popup_pm\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_popup_pm] == 0) {
	    echo "<input type=\"radio\" name=\"user_popup_pm\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_popup_pm\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._ATTACHSIG.":</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_attachsig] == 1) {
	    echo "<input type=\"radio\" name=\"user_attachsig\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_attachsig\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_attachsig] == 0) {
	    echo "<input type=\"radio\" name=\"user_attachsig\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_attachsig\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._ALLOWBBCODE."</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_allowbbcode] == 1) {
	    echo "<input type=\"radio\" name=\"user_allowbbcode\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allowbbcode\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_allowbbcode] == 0) {
	    echo "<input type=\"radio\" name=\"user_allowbbcode\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allowbbcode\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._ALLOWHTMLCODE."</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_allowhtml] == 1) {
	    echo "<input type=\"radio\" name=\"user_allowhtml\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allowhtml\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_allowhtml] == 0) {
	    echo "<input type=\"radio\" name=\"user_allowhtml\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allowhtml\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._ALLOWSMILIES."</b></td><td bgcolor='$bgcolor3'>";
	if ($userinfo[user_allowsmile] == 1) {
	    echo "<input type=\"radio\" name=\"user_allowsmile\" value=\"1\" checked>"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allowsmile\" value=\"0\">"._NO."";
	} elseif ($userinfo[user_allowsmile] == 0) {
	    echo "<input type=\"radio\" name=\"user_allowsmile\" value=\"1\">"._YES." &nbsp;"
		."<input type=\"radio\" name=\"user_allowsmile\" value=\"0\" checked>"._NO."";
	}
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._FORUMSTIME."</b></td><td bgcolor='$bgcolor3'>";
	echo "<select name='user_timezone'>";
	for ($i=-12; $i<13; $i++) {
	    if ($i == 0) {
		$dummy = "GMT";
	    } else {
		if (!ereg("-", $i)) {
		    $i = "+$i";
		}
		$dummy = "GMT $i "._HOURS."";
	    }
	    if ($userinfo[user_timezone] == $i) {
	    	echo "<option name=\"user_timezone\" value=\"$i\" selected>$dummy</option>";
	    } else {
		echo "<option name=\"user_timezone\" value=\"$i\">$dummy</option>";
	    }
	    
	}
	echo "</select>";
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._FORUMSDATE.":</b><br>"._FORUMSDATEMSG."</b></td><td bgcolor='$bgcolor3'>";
	echo "<input size='15' maxlength='14' type=\"text\" name=\"user_dateformat\" value=\"$userinfo[user_dateformat]\">";
	echo "</td></tr>";

	echo "<tr><td bgcolor='$bgcolor2'><b>"._SIGNATURE.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><textarea wrap=\"virtual\" cols=\"50\" rows=\"5\" name=\"user_sig\">$userinfo[user_sig]</textarea><br>"._255CHARMAX."</td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._EXTRAINFO.":</b><br>"._OPTIONAL."</td>"
	    ."<td bgcolor='$bgcolor3'><textarea wrap=\"virtual\" cols=\"50\" rows=\"5\" name=\"bio\">$userinfo[bio]</textarea><br>"._CANKNOWABOUT."</td></tr>"
	    ."<tr><td bgcolor='$bgcolor2'><b>"._PASSWORD."</b>:</td><br>"
	    ."<td bgcolor='$bgcolor3'><input type=\"password\" name=\"user_password\" size=\"22\" maxlength=\"20\">&nbsp;&nbsp;&nbsp;<input type=\"password\" name=\"vpass\" size=\"22\" maxlength=\"20\"><br>"._TYPENEWPASSWORD."</td></tr>"
	    ."<tr><td bgcolor='$bgcolor3' colspan='2' align='center'>"
	    ."<input type=\"hidden\" name=\"username\" value=\"$userinfo[username]\">"
	    ."<input type=\"hidden\" name=\"user_id\" value=\"$userinfo[user_id]\">"
	    ."<input type=\"hidden\" name=\"op\" value=\"saveuser\">"
	    ."<input type=\"submit\" value=\""._SAVECHANGES."\">"
	    ."</form></td></tr></table>";
	CloseTable();
	include("footer.php");
    } else {
	main($user);
    }
}

function saveuser($realname, $user_email, $femail, $user_website, $user_avatar, $user_icq, $user_aim, $user_yim, $user_msnm, $user_from, $user_occ, $user_interests, $newsletter, $user_viewemail, $user_allow_viewonline, $user_notify, $user_notify_pm, $user_popup_pm, $user_attachsig, $user_allowbbcode, $user_allowhtml, $user_allowsmile, $user_timezone, $user_dateformat, $user_sig, $bio, $user_password, $vpass, $username, $user_id, $custom1, $custom2, $custom3, $custom4, $custom5, $user_show_custom1, $user_show_custom2, $user_show_custom3, $user_show_custom4, $user_show_custom5) {
    global $user, $cookie, $userinfo, $EditedMessage, $user_prefix, $db, $module_name, $minpass, $prefix;
    cookiedecode($user);
    $check = $cookie[1];
    $check2 = $cookie[2];
    $row = $db->sql_fetchrow($db->sql_query("SELECT user_id, user_password FROM ".$user_prefix."_users WHERE username='$check'"));
    $vuid = intval($row['user_id']);
    $ccpass = $row['user_password'];
    $sql = "SELECT * FROM ".$prefix."_fields_config";
    $result = $db->sql_query($sql);
   	if(!$result) 
    {
     	echo ""._ERROR."<br>";
        echo mysql_error();
    }
    else
    {
	 	while ($row = $db->sql_fetchrow($result))
	 	{
	    	if($row['idnum'] == "1")
	    	{
		 		$field_name1 = $row['field_name'];
	   			$field_size1 = $row['field_size'];
	   			$field_max_size1 = $row['field_max_size'];
	   			$field_activated1 = $row['field_activated'];
   			}
   			if($row['idnum'] == "2")
	    	{
		 		$field_name2 = $row['field_name'];
	   			$field_size2 = $row['field_size'];
	   			$field_max_size2 = $row['field_max_size'];
	   			$field_activated2 = $row['field_activated'];
   			}
   			if($row['idnum'] == "3")
	    	{
		 		$field_name3 = $row['field_name'];
	   			$field_size3 = $row['field_size'];
	   			$field_max_size3 = $row['field_max_size'];
	   			$field_activated3 = $row['field_activated'];
   			}
   			if($row['idnum'] == "4")
	    	{
		 		$field_name4 = $row['field_name'];
	   			$field_size4 = $row['field_size'];
	   			$field_max_size4 = $row['field_max_size'];
	   			$field_activated4 = $row['field_activated'];
   			}
   			if($row['idnum'] == "5")
	    	{
		 		$field_name5 = $row['field_name'];
	   			$field_size5 = $row['field_size'];
	   			$field_max_size5 = $row['field_max_size'];
	   			$field_activated5 = $row['field_activated'];
   			}
    	}   
    }
    $user_sig = htmlspecialchars($user_sig);
    if ($field_activated1 == "1")
    {
	    if (!$custom1 || $custom1 == "")
	    {
		   include("header.php");
            echo ""._ERRORINVFIELD." $field_name1<br>";
             include("footer.php");
             exit();
	    }
	    
    }
        if ($field_activated2 == "1")
    {
	    if (!$custom2 || $custom2 == "")
	    {
		   include("header.php");
            echo ""._ERRORINVFIELD." $field_name2<br>";
             include("footer.php");
             exit();
	    }
	    
    }
        if ($field_activated3 == "1")
    {
	    if (!$custom3 || $custom3 == "")
	    {
		   include("header.php");
            echo ""._ERRORINVFIELD." $field_name3<br>";
             include("footer.php");
             exit();
	    }
	    
    }
        if ($field_activated4 == "1")
    {
	    if (!$custom4 || $custom4 == "")
	    {
		   include("header.php");
            echo ""._ERRORINVFIELD." $field_name4<br>";
             include("footer.php");
             exit();
	    }
	    
    }
        if ($field_activated5 == "1")
    {
	    if (!$custom5 || $custom5 == "")
	    {
		   include("header.php");
            echo ""._ERRORINVFIELD." $field_name5<br>";
             include("footer.php");
             exit();
	    }	    
    }
    $custom1 = check_html($custom1, nohtml);
    $custom2 = check_html($custom2, nohtml);
    $custom3 = check_html($custom3, nohtml);
    $custom4 = check_html($custom4, nohtml);
    $custom5 = check_html($custom5, nohtml);    
	$custom1 = htmlspecialchars($custom1, ENT_QUOTES);
	$custom2 = htmlspecialchars($custom2, ENT_QUOTES);
	$custom3 = htmlspecialchars($custom3, ENT_QUOTES);
	$custom4 = htmlspecialchars($custom4, ENT_QUOTES);
	$custom5 = htmlspecialchars($custom5, ENT_QUOTES);   
    $user_email = check_html($user_email, nohtml);
    $femail = check_html($femail, nohtml);
    $user_website = check_html($user_website, nohtml);
    $bio = check_html($bio, nohtml);
    $user_avatar = check_html($user_avatar, nohtml);
    $user_icq = check_html($user_icq, nohtml);
    $user_aim = check_html($user_aim, nohtml);
    $user_yim = check_html($user_yim, nohtml);
    $user_msnm = check_html($user_msnm, nohtml);
    $user_occ = check_html($user_occ, nohtml);
    $user_from = check_html($user_from, nohtml);
    $user_interests = check_html($user_interests, nohtml);
    $realname = check_html($realname, nohtml);
    $user_avatar = "$user_avatar";
    $user_avatar_type = "3";    
    if (($user_id == $vuid) AND ($check2 == $ccpass)) {
	if (!eregi("http://", $user_website)) {
	    $user_website = "http://$user_website";
	}
	if ((isset($user_password)) && ("$user_password" != "$vpass")) {
	    echo "<center>"._PASSDIFFERENT."</center>";
	} elseif (($user_password != "") && (strlen($user_password) < $minpass)) {
	    echo "<center>"._YOUPASSMUSTBE." <b>$minpass</b> "._CHARLONG."</center>";
	} else {
	    if ($bio) { filter_text($bio); $bio = $EditedMessage; $bio = FixQuotes($bio); }
	    if ($user_password != "") {
		cookiedecode($user);
		$db->sql_query("LOCK TABLES ".$user_prefix."_users WRITE");
		$user_password = md5($user_password);
		$newsletter = intval($newsletter);
		$user_allow_viewonline = intval($user_allow_viewonline);
		$user_notify = intval($user_notify);
		$user_notify_pm = intval($user_notify_pm);
		$user_popup_pm = intval($user_popup_pm);
		$user_allowbbcode = intval($user_allowbbcode);
		$user_allowhtml = intval($user_allowhtml);
		$user_allowsmile = intval($user_allowsmile);
		$user_id = intval($user_id);
		$result = $db->sql_query("UPDATE ".$user_prefix."_users SET name='$realname', user_email='$user_email', femail='$femail', user_website='$user_website', user_password='$user_password', bio='$bio', user_avatar='$user_avatar', user_icq='$user_icq', user_occ='$user_occ', user_from='$user_from', user_interests='$user_interests', user_sig='$user_sig', user_aim='$user_aim', user_yim='$user_yim', user_msnm='$user_msnm', newsletter='$newsletter', user_viewemail='$user_viewemail', user_allow_viewonline='$user_allow_viewonline', user_notify='$user_notify', user_notify_pm='$user_notify_pm', user_popup_pm='$user_popup_pm', user_attachsig='$user_attachsig', user_allowbbcode='$user_allowbbcode', user_allowhtml='$user_allowhtml', user_allowsmile='$user_allowsmile', user_timezone='$user_timezone', user_dateformat='$user_dateformat', custom1='$custom1', custom2='$custom2', custom3='$custom3', custom4='$custom4', custom5='$custom5', user_show_custom1='$user_show_custom1', user_show_custom2='$user_show_custom2', user_show_custom3='$user_show_custom3', user_show_custom4='$user_show_custom4', user_show_custom5='$user_show_custom5' WHERE user_id='$user_id'");
		if(!$result) 
        {
	        include("header.php");
            echo ""._ERROR1."<br>";
            echo mysql_error();
            include("footer.php");
        }		
		$result2 = $db->sql_query("SELECT user_id, username, user_password, storynum, umode, uorder, thold, noscore, ublockon, theme FROM ".$user_prefix."_users WHERE username='$username' AND user_password='$user_password'");
		if ($db->sql_numrows($result2) == 1) {
		    $userinfo = $db->sql_fetchrow($result2);
		    docookie($userinfo[user_id],$userinfo[username],$userinfo[user_password],$userinfo[storynum],$userinfo[umode],$userinfo[uorder],$userinfo[thold],$userinfo[noscore],$userinfo[ublockon],$userinfo[theme],$userinfo[commentmax]);
		} else {
		    echo "<center>"._SOMETHINGWRONG."</center><br>";
		}
		$db->sql_query("UNLOCK TABLES");
	    } else {
		$result = $db->sql_query("UPDATE ".$user_prefix."_users SET name='$realname', user_email='$user_email', femail='$femail', user_website='$user_website', bio='$bio', user_avatar='$user_avatar', user_icq='$user_icq', user_occ='$user_occ', user_from='$user_from', user_interests='$user_interests', user_sig='$user_sig', user_aim='$user_aim', user_yim='$user_yim', user_msnm='$user_msnm', newsletter='$newsletter', user_viewemail='$user_viewemail', user_allow_viewonline='$user_allow_viewonline', user_notify='$user_notify', user_notify_pm='$user_notify_pm', user_popup_pm='$user_popup_pm', user_attachsig='$user_attachsig', user_allowbbcode='$user_allowbbcode', user_allowhtml='$user_allowhtml', user_allowsmile='$user_allowsmile', user_timezone='$user_timezone', user_dateformat='$user_dateformat', custom1='$custom1', custom2='$custom2', custom3='$custom3', custom4='$custom4', custom5='$custom5', user_show_custom1='$user_show_custom1', user_show_custom2='$user_show_custom2', user_show_custom3='$user_show_custom3', user_show_custom4='$user_show_custom4', user_show_custom5='$user_show_custom5' WHERE user_id='$user_id'");
        if(!$result) 
        {
	     	include("header.php");
            echo ""._ERROR2."<br>";
            echo mysql_error();
            include("footer.php");
        }
	    }
	    Header("Location: modules.php?name=$module_name");
	}
    }
    
}

function edithome() {
    global $user, $userinfo, $Default_Theme, $cookie, $broadcast_msg, $user_news, $storyhome, $module_name;
    getusrinfo($user);
    if (($userinfo[username] != $cookie[1]) AND ($userinfo[user_password] != $cookie[2])) {
    include ("header.php");
    OpenTable();
    echo "<center><font class=\"title\"><b>"._HOMECONFIG."</b></font></center>";
    CloseTable();
    echo "<br>";    
    OpenTable();
    nav();
    CloseTable();
    echo "<br>";
    if($userinfo[theme]=="") {
        $userinfo[theme] = "$Default_Theme";
    }
    OpenTable();
    echo "<form action=\"modules.php?name=$module_name\" method=\"post\">";
    if ($user_news == 1) {
	echo "<b>"._NEWSINHOME."</b> "._MAX127." "
	    ."<input type=\"text\" name=\"storynum\" size=\"4\" maxlength=\"3\" value=\"$userinfo[storynum]\">"
	    ."<br><br>";
    } else {
	echo "<input type=\"hidden\" name=\"storynum\" value=\"$storyhome\">";
    }
    if ($userinfo[ublockon]==1) {
        $sel = "checked";
    }
    if ($broadcast_msg == 1) {
	if ($userinfo[broadcast] == 1) {
	    $sel1 = "checked";
	    $sel2 = "";
	} elseif ($userinfo[broadcast] == 0) {
	    $sel1 = "";
	    $sel2 = "checked";
	}
	echo "<b>"._MESSAGEACTIVATE."</b> <input type=\"radio\" name=\"broadcast\" value=\"1\" $sel1> "._YES." &nbsp;&nbsp;<input type=\"radio\" name=\"broadcast\" value=\"0\" $sel2>"._NO."<br><br>";
    } else {
	echo "<input type=\"hidden\" name=\"broadcast\" value=\"1\">";
    }
    echo "<input type=\"checkbox\" name=\"ublockon\" $sel>"
	." <b>"._ACTIVATEPERSONAL."</b>"
	."<br>"._CHECKTHISOPTION.""
	."<br>"._YOUCANUSEHTML."<br>"
	."<textarea cols=\"55\" rows=\"5\" name=\"ublock\">$userinfo[ublock]</textarea>"
	."<br><br>"
	."<input type=\"hidden\" name=\"username\" value=\"$userinfo[username]\">"
	."<input type=\"hidden\" name=\"user_id\" value=\"$userinfo[user_id]\">"
	."<input type=\"hidden\" name=\"op\" value=\"savehome\">"
	."<input type=\"submit\" value=\""._SAVECHANGES."\">"
	."</form>";
    CloseTable();
    include ("footer.php");
    } else {
	main($user);
    }
}

function chgtheme() {
    global $user, $userinfo, $Default_Theme, $cookie, $module_name;
    getusrinfo($user);
    if (($userinfo[username] != $cookie[1]) AND ($userinfo[user_password] != $cookie[2])) {
    include ("header.php");
    OpenTable();
    echo "<center><font class=\"title\"><b>"._THEMESELECTION."</b></font></center>";
    CloseTable();
    echo "<br>";
    OpenTable();
    nav();
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<center>"
	."<form action=\"modules.php?name=$module_name\" method=\"post\">"
	."<b>"._SELECTTHEME."</b><br>"
	."<select name=\"theme\">";
    $handle=opendir('themes');
    while ($file = readdir($handle)) {
	if ( (!ereg("[.]",$file) AND file_exists("themes/$file/theme.php")) ) {
		$themelist .= "$file ";
	}
    }
    closedir($handle);
    $themelist = explode(" ", $themelist);
    sort($themelist);
    for ($i=0; $i < sizeof($themelist); $i++) {
    	if($themelist[$i]!="") {
    	    echo "<option value=\"$themelist[$i]\" ";
	    if((($userinfo[theme]=="") && ($themelist[$i]=="$Default_Theme")) || ($userinfo[theme]==$themelist[$i])) echo "selected";
	    echo ">$themelist[$i]\n";
	}
    }
    if($userinfo[theme]=="") $userinfo[theme] = "$Default_Theme";
    echo "</select><br>"
	.""._THEMETEXT1."<br>"
	.""._THEMETEXT2."<br>"
	.""._THEMETEXT3."<br><br>"
	."<input type=\"hidden\" name=\"user_id\" value=\"$userinfo[user_id]\">"
	."<input type=\"hidden\" name=\"op\" value=\"savetheme\">"
	."<input type=\"submit\" value=\""._SAVECHANGES."\">"
	."</form>";
    CloseTable();
    include ("footer.php");
    } else {
	main($user);
    }
}


function savehome($user_id, $username, $storynum, $ublockon, $ublock, $broadcast) {
    global $user, $cookie, $userinfo, $user_prefix, $db, $module_name;
    cookiedecode($user);
    $check = $cookie[1];
    $check2 = $cookie[2];
    $row = $db->sql_fetchrow($db->sql_query("SELECT user_id, user_password FROM ".$user_prefix."_users WHERE username='$check'"));
    $vuid = intval($row['user_id']);
    $ccpass = $row['user_password'];
    if (($user_id == $vuid) AND ($check2 == $ccpass)) {	
	if(isset($ublockon)) $ublockon=1; else $ublockon=0;	
	$ublock = FixQuotes($ublock);
	$db->sql_query("UPDATE ".$user_prefix."_users SET storynum='$storynum', ublockon='$ublockon', ublock='$ublock', broadcast='$broadcast' WHERE user_id='$user_id'");
	getusrinfo($user);
	docookie($userinfo[user_id],$userinfo[username],$userinfo[user_password],$userinfo[storynum],$userinfo[umode],$userinfo[uorder],$userinfo[thold],$userinfo[noscore],$userinfo[ublockon],$userinfo[theme],$userinfo[commentmax]);
	Header("Location: modules.php?name=$module_name");
    }
}

function savetheme($user_id, $theme) {
    global $user, $cookie, $userinfo, $user_prefix, $db, $module_name;
    cookiedecode($user);
    $check = $cookie[1];
    $check2 = $cookie[2];
    $theme_error = "";
    $row = $db->sql_fetchrow($db->sql_query("SELECT user_id, user_password FROM ".$user_prefix."_users WHERE username='$check'"));
    $vuid = intval($row['user_id']);
    $ccpass = $row['user_password'];
    if (($user_id == $vuid) AND ($check2 == $ccpass)) {
	$db->sql_query("UPDATE ".$user_prefix."_users SET user_style='$theme_id' WHERE user_id='$user_id'"); 
	$db->sql_query("UPDATE ".$user_prefix."_users SET theme='$theme' WHERE user_id='$user_id'");
	getusrinfo($user);
	docookie($userinfo[user_id],$userinfo[username],$userinfo[user_password],$userinfo[storynum],$userinfo[umode],$userinfo[uorder],$userinfo[thold],$userinfo[noscore],$userinfo[ublockon],$userinfo[theme],$userinfo[commentmax]);
	Header("Location: modules.php?name=$module_name&amp;theme=$theme");
    } 
}

function editcomm() {
    global $user, $userinfo, $cookie, $module_name;
    getusrinfo($user);
    if (($userinfo[username] != $cookie[1]) AND ($userinfo[user_password] != $cookie[2])) {
    include ("header.php");
    OpenTable();
    echo "<center><font class=\"title\"><b>"._COMMENTSCONFIG."</b></font></center>";
    CloseTable();
    echo "<br>";
    OpenTable();
    nav();
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<table cellpadding=\"8\" border=\"0\"><tr><td>"
	."<form action=\"modules.php?name=$module_name\" method=\"post\">"
	."<b>"._DISPLAYMODE."</b>"
	."<select name=\"umode\">";
    ?>
    <option value="nocomments" <?php if ($userinfo[umode] == 'nocomments') { echo "selected"; } ?>><?php echo _NOCOMMENTS ?>
    <option value="nested" <?php if ($userinfo[umode] == 'nested') { echo "selected"; } ?>><?php echo _NESTED ?>
    <option value="flat" <?php if ($userinfo[umode] == 'flat') { echo "selected"; } ?>><?php echo _FLAT ?>
    <option value="thread" <?php if (!isset($userinfo[umode]) || ($userinfo[umode]=="") || $userinfo[umode]=='thread') { echo "selected"; } ?>><?php echo _THREAD ?>
    </select>
    <br><br>
    <b><?php echo _SORTORDER ?></b>
    <select name="uorder">
    <option value="0" <?php if (!$userinfo[uorder]) { echo "selected"; } ?>><?php echo _OLDEST ?>
    <option value="1" <?php if ($userinfo[uorder]==1) { echo "selected"; } ?>><?php echo _NEWEST ?>
    <option value="2" <?php if ($userinfo[uorder]==2) { echo "selected"; } ?>><?php echo _HIGHEST ?>
    </select>
    <br><br>
    <b><?php echo _THRESHOLD ?></b>
    <?php echo _COMMENTSWILLIGNORED ?><br>
    <select name="thold">
    <option value="-1" <?php if ($userinfo[thold]==-1) { echo "selected"; } ?>>-1: <?php echo _UNCUT ?>
    <option value="0" <?php if ($userinfo[thold]==0) { echo "selected"; } ?>>0: <?php echo _EVERYTHING ?>
    <option value="1" <?php if ($userinfo[thold]==1) { echo "selected"; } ?>>1: <?php echo _FILTERMOSTANON ?>
    <option value="2" <?php if ($userinfo[thold]==2) { echo "selected"; } ?>>2: <?php echo _USCORE ?> +2
    <option value="3" <?php if ($userinfo[thold]==3) { echo "selected"; } ?>>3: <?php echo _USCORE ?> +3
    <option value="4" <?php if ($userinfo[thold]==4) { echo "selected"; } ?>>4: <?php echo _USCORE ?> +4
    <option value="5" <?php if ($userinfo[thold]==5) { echo "selected"; } ?>>5: <?php echo _USCORE ?> +5
    </select><br>
    <i><?php echo _SCORENOTE ?></i>
    <br><br>
    <INPUT type="checkbox" name="noscore" <?php if ($userinfo[noscore]==1) { echo "checked"; } ?>><b> <?php echo _NOSCORES ?></b> <?php echo _HIDDESCORES ?>
    <br><br>
    <b><?php echo _MAXCOMMENT ?></b> <?php echo _TRUNCATES ?><br>
    <input type="text" name="commentmax" value="<?php echo $userinfo[commentmax] ?>" size=11 maxlength=11> <?php echo _BYTESNOTE ?>
    <br><br>
    <input type="hidden" name="username" value="<?php echo"$userinfo[username]"; ?>">
    <input type="hidden" name="user_id" value="<?php echo"$userinfo[user_id]"; ?>">
    <input type="hidden" name="op" value="savecomm">
    <input type="submit" value="<?php echo _SAVECHANGES ?>">
    </form></td></tr></table>
    <?php
    CloseTable();
    echo "<br><br>";
    include ("footer.php");
    } else {
	main($user);
    }
}

function savecomm($user_id, $username, $umode, $uorder, $thold, $noscore, $commentmax) {
    global $user, $cookie, $userinfo, $user_prefix, $db, $module_name;
    cookiedecode($user);
    $check = $cookie[1];
    $check2 = $cookie[2];
    $row = $db->sql_fetchrow($db->sql_query("SELECT user_id, user_password FROM ".$user_prefix."_users WHERE username='$check'"));
    $vuid = intval($row['user_id']);
    $ccpass = $row['user_password'];
    if (($user_id == $vuid) AND ($check2 == $ccpass)) {	
	if(isset($noscore)) $noscore=1; else $noscore=0;
	$db->sql_query("UPDATE ".$user_prefix."_users SET umode='$umode', uorder='$uorder', thold='$thold', noscore='$noscore', commentmax='$commentmax' WHERE user_id='$user_id'");
	getusrinfo($user);
	docookie($userinfo[user_id],$userinfo[username],$userinfo[user_password],$userinfo[storynum],$userinfo[umode],$userinfo[uorder],$userinfo[thold],$userinfo[noscore],$userinfo[ublockon],$userinfo[theme],$userinfo[commentmax]);
	Header("Location: modules.php?name=$module_name");
    }
}

function avatarlist() {
    include("header.php"); 
    Opentable(); 
    echo "<center><font class=\"option\"><b>"._AVAILABLEAVATARS."</b></font><br><br>"; 
    $direktori = "modules/Forums/images/avatars/gallery"; 
    $handle=opendir($direktori); 
    while ($file = readdir($handle)) { 
	$filelist[] = $file; 
    } 
    asort($filelist); 
    $temcount = 1; 
    while (list ($key, $file) = each ($filelist)) { 
	if (ereg(".gif",$file)) { 
	    if ($file == "." || $file == "..") {
		$a=1;
	    } else { 
		echo "<img src=\"modules/Forums/images/avatars/gallery/$file\" border=\"0\" width=\"32\" height=\"32\" alt=\"$file\" title=\"$file\" hspace=\"10\" vspace=\"10\">";
	    } 
	    if ($temcount == 10) { 
		echo "<br>"; 
		$temcount -= 10; 
	    } 
	    $temcount ++; 
	} 
    } 
    echo "<br><br><br>"
	.""._GOBACK.""
	."</center>"; 
    CloseTable(); 
    include("footer.php"); 
} 

function broadcast($the_message, $who) {
    global $prefix, $db, $broadcast_msg, $module_name;
    if ($broadcast_msg == 1) {
	include("header.php");
	title(""._BROADCAST."");
	OpenTable();
	$numrows = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_public_messages WHERE who='$who'"));
	$the_message = FixQuotes(filter_text($the_message, "nohtml"));
	if ($the_message != "" AND $numrows == 0) {
	    $the_time = time();
	    $db->sql_query("INSERT INTO ".$prefix."_public_messages VALUES (NULL, '$the_message', '$the_time', '$who')");
	    update_points(20);
	    echo "<center>"._BROADCASTSENT."<br><br>[ <a href=\"modules.php?name=$module_name\">"._RETURNPAGE."</a> ]</center>";
	} else {
	    echo "<center>"._BROADCASTNOTSENT."<br><br>[ <a href=\"modules.php?name=$module_name\">"._RETURNPAGE."</a> ]</center>";
	}
	CloseTable();
	include("footer.php");
    } else {
	echo "I don't like you...";
    }
}

function my_headlines($hid, $url=0) {
    global $prefix, $db;
    $row = $db->sql_fetchrow($db->sql_query("SELECT headlinesurl FROM ".$prefix."_headlines WHERE hid='$hid'"));
    $url = $row['headlinesurl'];
    $rdf = parse_url($url);
    $fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
    if (!$fp) {
        $content = "<font class=\"content\">Problema!</font>";
        return;
    }
    if ($fp) {
        fputs($fp, "GET " . $rdf['path'] . "?" . $rdf['query'] . " HTTP/1.0\r\n");
        fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
        $string	= "";
        while(!feof($fp)) {
	    $pagetext = fgets($fp,300);
	    $string .= chop($pagetext);
	}
	fputs($fp,"Connection: close\r\n\r\n");
	fclose($fp);
	$items = explode("</item>",$string);
	$content = "<font class=\"content\">";
	for ($i=0;$i<10;$i++) {
	    $link = ereg_replace(".*<link>","",$items[$i]);
	    $link = ereg_replace("</link>.*","",$link);
	    $title2 = ereg_replace(".*<title>","",$items[$i]);
	    $title2 = ereg_replace("</title>.*","",$title2);
	    if ($items[$i] == "") {
	        $content = "";
	        return;
	    } else {
	        if (strcmp($link,$title)) {
	    	    $cont = 1;
		    $content .= "<img src=\"images/arrow.gif\" border=\"0\" hspace=\"5\"><a href=\"$link\" target=\"new\">$title2</a><br>\n";
		}
	    }
	}
    }
    echo "$content";
}

switch($op) {

    case "logout":
	logout();
	break;

    case "broadcast":
	broadcast($the_message, $who);
	break;

    case "lost_pass":
	lost_pass();
	break;

    case "new user":
	confirmNewUser($username, $user_email, $user_password, $user_password2, $random_num, $gfx_check, $custom1, $custom2, $custom3, $custom4, $custom5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5);
	break;

    case "finish":
	finishNewUser($username, $user_email, $user_password, $random_num, $gfx_check, $custom1, $custom2, $custom3, $custom4, $custom5, $field_activated1, $field_activated2, $field_activated3, $field_activated4, $field_activated5, $field_name1, $field_name2, $field_name3, $field_name4, $field_name5);
	break;

    case "mailpasswd":
	mail_password($username, $code);
	break;

    case "userinfo":
	userinfo($username, $bypass, $hid, $url);
	break;

    case "login":
	login($username, $user_password, $redirect, $mode, $f, $t, $random_num, $gfx_check);
	break;

    case "edituser":
	edituser();
	break;

    case "saveuser":
	saveuser($realname, $user_email, $femail, $user_website, $user_avatar, $user_icq, $user_aim, $user_yim, $user_msnm, $user_from, $user_occ, $user_interests, $newsletter, $user_viewemail, $user_allow_viewonline, $user_notify, $user_notify_pm, $user_popup_pm, $user_attachsig, $user_allowbbcode, $user_allowhtml, $user_allowsmile, $user_timezone, $user_dateformat, $user_sig, $bio, $user_password, $vpass, $username, $user_id, $custom1, $custom2, $custom3, $custom4, $custom5, $user_show_custom1, $user_show_custom2, $user_show_custom3, $user_show_custom4, $user_show_custom5);
	break;

    case "edithome":
	edithome();
	break;
	
    case "chgtheme":
	chgtheme();
	break;
	
    case "savehome":
	savehome($user_id, $username, $storynum, $ublockon, $ublock, $broadcast);
	break;

    case "savetheme":
	savetheme($user_id, $theme);
	break;

    case "avatarlist":
	avatarlist();
	break;

    case "editcomm":
	editcomm();
	break;

    case "savecomm":
	savecomm($user_id, $username, $umode, $uorder, $thold, $noscore, $commentmax);
	break;
		
    case "pass_lost":
	pass_lost();
	break;

    case "new_user":
        new_user();
        break;

    case "my_headlines":
	my_headlines($hid, $url);
	break;

    case "gfx":
	gfx($random_num);
	break;

    case "activate":
	activate($username, $check_num);
	break;

    default:
	main($user);
	break;

}

?>
